Issue 112141

Summary: Reintroduce color codes for mime type icons
Product: General Reporter: yafede <federica.cenacchi>
Component: uiAssignee: Ariel Constenla-Haile <arielch>
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P2 CC: arielch, barta, cedric, gleppert, grakic, h.goebel, hand_of_fate2000, issues, jbf.faure, kamataki, kongnan, luctur, maison.godard, marcel, mauricereviol, mdxonefour, nealhatchett, nesshof, ooo, pier_andreit, r.maurizzi, stefan.weigel, stx123, terauck, tessadeboer, thomas.lendo, ulli.kah, vitriol_vitriol
Version: OOO320m9Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
a little gimp exercise on colored calc icon
none
another little gimp exercise for non odf spreadsheet
none
exercise for calc 16x16
none
exercise for calc 32x32
none
exercise for calc 48x48
none
exercise for non odf spreadsheet 16x18
none
exercise for non odf spreadsheet 32x32
none
exercise for non odf spreadsheet 48x48
none
a more colourful version
none
a more colourful version - now with correct MIME type, sorry
none
until this is fixed, i extracted, colored, and created my own ICOs for use with my desktop shortcuts
none
3.2.1 soffice.exe with replaced icons from 3.1.1 soffice.exe
none
Workaround script for Windows users
none
Icon-files form the soffice.exe, for anyone who wants to paticipate artistically by coloring the icons.
none
Coloured versions of the 3.2.1 icons for Linux.
none
Recolored OOo 3.2.1 start screen
none
Extract in "OpenOffice.org 3" folder to replace all icons with colored ones from 3.2.0 (Backup the files first!)
none
Coloured versions of 3.2.1 icons for Linux. Corrected minor mistake in my previous upload. none

Description yafede 2010-06-05 14:10:22 UTC
OpenOffice.org 3.2.1 new mime-type icons are monochrome. It's nearly impossible 
to tell apart text documents from spreadsheets (either ODF or other formats).

Previous versions color codes were much more usable.
Is it possible to reintroduce colors?

Thanks
Comment 1 thomasjk 2010-06-05 14:50:49 UTC
*** Issue 112141 has been confirmed by votes. ***
Comment 2 massic80 2010-06-06 09:23:56 UTC
I'd say to reintroduce them or allow the user to chose the color set
Comment 3 tommy27 2010-06-06 12:53:53 UTC
please reintroduce the old icon pack as an option in OOo 3.3

this new monochromatic icons are totally useless and unproductive....
Comment 4 Olaf Felka 2010-06-07 10:31:16 UTC
reassigned
Comment 5 mferarri 2010-06-07 11:42:21 UTC
the icons are great just put a bit of colour on it so we can distinguish btwn 
them. Please!
Comment 6 jalilnejad 2010-06-07 12:16:32 UTC
Old icons was easier to find in a messy folder with hundreds of office files.
Not only colors, but differences between icons of different file types help eye
to find them faster.
Comment 7 tommy27 2010-06-07 12:28:10 UTC
30 votes in just 2 days of life of this issue should make developers rethink 
about the monochromatic change of OOo icons
Comment 8 itmanager 2010-06-07 14:01:06 UTC
Probably who create the icons don't use openoffice ?! 
At home they have only black and white TV ???
Colors are important !  
Comment 9 Olaf Felka 2010-06-07 14:09:34 UTC
Don't remove CC's from issues!
Comment 10 tanstaafl 2010-06-07 18:44:16 UTC
2 things:

1. I really like the new *patterns* on the new icons.

2. The monochromatic aspect has *got* to go.

3. What is up with the 'ODF' label on NON-ODF MICROSOFT file formats (.doc,
.xls, .ppt, etc)? That is not just ugly, it is plain *wrong*.

I hope the devs are reading this bug report, as I have been forbidden by my boss
(when I showed this to him this morning) from installing this update on any of
our 60+ windows workstations until this is fixed, which sucks because that means
we don't get any new bug fixes or functionality enhancements until then, and as
slow as OOo has been to make changes, this might be a while.

Please, guys, you changed these in a minor revision bump, you can bring back the
different colors in 3.2.2, can't you? Like I said in #1 above, I really do like
the new icons *except* for the lack of color.

Oh, and what is up with making a major change like this in a minor update
revision? I thought that was a big no-no in software development?
Comment 11 Olaf Felka 2010-06-07 18:59:36 UTC
@ tanstaafl: Please don't mingle up different problems in one issue. I can't
confirm that MSO documents have an ODF labeled icon. Please file a new issue and
be more detailed in your description.
Comment 12 taf 2010-06-08 16:47:19 UTC
old color codes were rally good, why this step back?
Comment 13 taf 2010-06-08 16:47:35 UTC
old color codes were really nice, why this step back?
Comment 14 vitriol 2010-06-08 20:16:28 UTC
Add me to CC
Comment 15 tommy27 2010-06-09 09:27:00 UTC
so many votes to this issue (55 in 4 days) shoulobo ds. make OOo team realize 
that the new monochrome icons did not receive a good acceptance from user.

It would be very nice to have an extension or, even better, a new OOo 3.2.2 
release with an option to have monochrome or color-coded icon pack.

please, OOo team, think about it.
Comment 16 massic80 2010-06-09 10:19:04 UTC
@ of: tanstaafl isn't mixing two different problems. We re talking about OOo
icons. For the ODF part, we notice that they are almost unuseful (specially in
"details" view), being too similar. For the  MS Office part it's the same, but
tanstaafl means that there is less justification in saying "that's official ODF
logo", not being DOC, PPT, etc ODF files.
Comment 17 tommy27 2010-06-09 11:57:28 UTC
@massic80

good point.

apart being unfunctional, those icons are deceiptive... 
DOC format in not an ODF...

by the way, votes keep rising!!!
Comment 18 prowlerxpla 2010-06-09 15:33:27 UTC
I totally agree, in linux this didn't happen,but
when I use windows of course I prefere colors.
I really do like the new icons *except* for the lack of color.
Please reinsert colors
Comment 19 tommy27 2010-06-09 18:55:36 UTC
I know many people (me included) that are not upgrading to OOo 3.2.1 because of 
the new icons.

for my OOo experience, the bug fixes of the 3.2.1 release are not compensated 
by the annoying effect of the new unified ODF icons.

I know I can manually  extract the old icons from OOo 3.2 files and then 
manually reassign the extension with the Windows file manager options...

but since the files associations are at least 5 and I use 5 PCs, I'm not gonna 
repeat that operation 25 times...
Comment 20 ed2 2010-06-09 19:21:48 UTC
@tommy27:

I am not convinced we need an options of non colour-coded icons. I can see no
logical reason for anyone choosing icons that do not work in preference to ones
that do.

The important issue here is that the default icon set needs to be colour-coded.
Comment 21 tommy27 2010-06-09 19:28:00 UTC
@ed2

I agree with you... the old icons should be defualt...

however I fear that the OOo team will not accept this because of the marketing 
political reasons... they wanna push the "unified ODF concept".

I think the option monochrome vs. color-coded could be a reasonable compromise
Comment 22 jakobkramer 2010-06-09 19:33:56 UTC
It really makes no sense to use the monochrome icons. The OOo Wiki itself
argues, that using colour codes similar to those of Microsoft Office leads to
higher recognition value which in my opinion is highly desirable if you want to
win over MS Office users. The wiki is found here:
http://wiki.services.openoffice.org/wiki/MimeType_Icons
Comment 23 tommy27 2010-06-09 19:39:53 UTC
I did not knew that Wiki page.

I agree that color-coded icons made users transition from MS Office to OOo a 
lot easier...

the new monochrome icons represent a giant step back...
it's amazing how much they resemble the old OOo 1.x icons...

I call this an incredible regression from 3.x to 1.x...

what an own goal...
Comment 24 ed2 2010-06-09 19:45:03 UTC
@tommy27:

Where did I ever say the old icons should be default?

If the developers want to make new properly coloured icons in line with their
branding then they can do. 

The important thing is that colour coded icons (whether the old icons or a new
set in line with the new branding) need to be default. There does not need to be
an option to make the product more difficult to use, since no one would have any
reason to use that option.
Comment 25 tommy27 2010-06-09 19:51:08 UTC
@ed2
sorry, when I said "old" I meant "color-coded" whatever the design...

but realize that there's often a gap between what we want and what we are going 
to receive... compromises are often necessary

as I said I'm afraid that the OOo will keep pushing in the direction of 
monochrome icons.

I'd prefer to have monochrome as default and color-coded as an option (which I 
will immediately activate) rather than have only monochrome just as it is 
already with OOo 3.2.1
Comment 26 ed2 2010-06-09 20:06:25 UTC
Colour coded icons need to be default.

1. The default setup is the first impression users and reviewers get. First
impressions are very important in selling any product.

2. A product that works properly straight away is much better a product that
requires the user to do work to get it to work properly.

There is no need for an option to make your own life more difficult, since there
is no reason anyone would ever need to use that option.
Comment 27 grakic 2010-06-09 22:53:31 UTC
Is there a legal issue why it is better not to use application colors resembling 
MSO or is it just a designer's effort to achieve unified look and feel in 
OpenOffice.org branding?
Comment 28 cno 2010-06-09 23:03:25 UTC
I would be surprised about a legal issue: there are so many apps out there use
likewise color schemes .. (But since I am no lawer, that doesn't mean that much
of course)

Pls note that the issue with the icon set was discussed in the community
council. As outcome, the topic will be picked up again, with input as broad as
possible.
Comment 29 jeffooo 2010-06-10 06:47:46 UTC
Hy,

About start center, see http://www.openoffice.org/issues/show_bug.cgi?id=90630

Regards

Comment 30 prowlerxpla 2010-06-10 16:17:12 UTC
Created attachment 69907 [details]
a little gimp exercise on colored calc icon
Comment 31 prowlerxpla 2010-06-10 16:19:00 UTC
Created attachment 69908 [details]
another little gimp exercise for non odf spreadsheet
Comment 32 massic80 2010-06-10 16:27:48 UTC
I like the simple but effective attachments of prowlerxpla: an analogous job
should be done to tiny icons (for "details view"), it wouldn't mess the logos
out and would "work fine". I'd just change something in the non ODF icon: I
think that just the difference of the blue stripe wouldn't be enough immediate.
Comment 33 ed2 2010-06-10 17:51:38 UTC
There's nothing to say the colours have to be identical to the colours of the MS
icons, then only requirement is that the dominant icon colour is different for
each file type.

If there is a legal issue with copying the colours from MS icons then don't copy
their exact colours, use a (possibly only very slightly) different set of colours.

I have not seen any mention of any legal issues anyway. The official
documentation only refers to changing the icons in line with the new brand, it
does not mention the need for colour codes. This suggests that they simply
rushed the re-branding and never thought about usability.
Comment 34 methylene_blue 2010-06-10 18:02:04 UTC
I too agree with all those here who don’t care for the new icons. In fact, these
colorless icons are a reason I will be sticking with OOo 3.2.0.
—–
The same monotone color for all module (Writer, Calc, etc) icons reduces the
recognizability of the modules themselves, thereby decreasing the usability and
user-friendliness within OOo. “By making the application icons uniform in color
and orb-like, OOo is really distinguishing itself from its main competitor”[1]
and shooting itself in the foot. It is a step counter-productive to attracting
users from the competitor. And surely with all the press and attention
OpenOffice has gotten over the years, it is not suffering from an identity
crisis anymore.
—–
“The similarity of the icons may also symbolically reflect the modular
architecture of OOo…” [1] and though that is important for developers (who know
that anyway), the symbolism is trivial for end users (who know it anyway, too,
and are not interested in architectural symbolism).
—–
“There is no OpenOffice.org branding in [the file icons] whatsoever.” [1]
Perhaps a good idea because the seagulls are a bit messy in the file icons, but
the ODF “logo” is bland and ugly and does not achieve a “lighter and less
cluttered” appearance, as is claimed for the application icons. Moreover,
end-users could give a hoot about pushing ODF as a standard open format. I wish
the design decision makers would stop trying to push their idealism and
concentrate instead on making an excellent product which speaks for itself! If
they absolutely have to, why not keep the “orb” theme and include a simple “O”
for odf-docs and a blank “orb” for non-odf, including, of course, COLOR!

“It is hoped that these will become the universal ODF icons that other
applications supporting ODF will adopt.”[1] As they are, I certainly hope not!
-----
1 -
http://www.patentpending.co.nz/soapbox/index.php/openoffice-org-new-setup-file-and-application-icons
Comment 35 tommy27 2010-06-10 20:01:14 UTC
there's no reason OOo could not use the same color-code as MS Office...


no legal issues happened with OOo 3.2 which used the same color codes of MS 
Office...

you should remember that Microsoft doesn't own colors....

Comment 36 prowlerxpla 2010-06-10 20:03:03 UTC
Created attachment 69913 [details]
exercise for calc 16x16
Comment 37 prowlerxpla 2010-06-10 20:04:09 UTC
Created attachment 69914 [details]
exercise for calc 32x32
Comment 38 prowlerxpla 2010-06-10 20:05:17 UTC
Created attachment 69915 [details]
exercise for calc 48x48
Comment 39 prowlerxpla 2010-06-10 20:06:16 UTC
Created attachment 69916 [details]
exercise for non odf spreadsheet 16x18
Comment 40 prowlerxpla 2010-06-10 20:07:33 UTC
Created attachment 69917 [details]
exercise for non odf spreadsheet 32x32
Comment 41 prowlerxpla 2010-06-10 20:08:33 UTC
Created attachment 69918 [details]
exercise for non odf spreadsheet 48x48
Comment 42 prowlerxpla 2010-06-10 20:14:17 UTC
I made other exercise with spreadsheet icons in smaller resolution, the 16x16
may be should need more green, what's your opinion?
I'm pretty sure that a more-graphics-oriented-than-me guy will be able to better
them :-) 
ciao
Comment 43 tanstaafl 2010-06-10 20:24:38 UTC
I like them prowler, and would vote to hire you to do the rest, post links to
all of the OOo lists asking for feedback about these vs the 'new' blackj and
white ones - and just apply the changes immediately once the majority of people
gave a thumbs up (as they would, I am 100% sure)...

Then I'd do what other open source projects have done - have an open *contest*
where *anyone* can submit designs for new icons, post links everywhere, and let
the OOo user base vote on them.

I think the main point though is, these icons should *never* have been changed
like this without a *lot* of inquiries on the user lists and elsewhere,
consulting with usability experts - who would have, of course, nixed the idea of
colorless icons in a microsecond.
Comment 44 cno 2010-06-10 20:34:02 UTC
@tanstaafl: I am not sure if it is helpfull to spamm all OOo mail lists.
It makes the process un clear,
possibly creates wrong expectations

can you pls first trust what I told, that this item will be addressed?
Comment 45 jakobkramer 2010-06-10 21:04:40 UTC
prowler -> nice colour suggestions :)

The old OOo icons did have somewhat thicker lines, making them easier to
recognize. The new icons use much thinner lines and the smaller icons are
therefore not that clear. 
Perhaps it would work better with larger areas of colour. I have made a version
where I have inverted the colours so the foreground is white and the background
(in this case) green. It's quite colourful (perhaps TOO colourful for some), but
perhaps the solution should be found somewhere in-between - so the colour is
clear without being too dominant.
Comment 46 jakobkramer 2010-06-10 21:05:39 UTC
Created attachment 69920 [details]
a more colourful version
Comment 47 jakobkramer 2010-06-10 21:08:47 UTC
Created attachment 69921 [details]
a more colourful version - now with correct MIME type, sorry
Comment 48 massic80 2010-06-10 21:16:19 UTC
prowlerxpla's samples are perfect, if the icons designs "have to" remain the
same (the smaller icons seem to be coming from a GUI of nineties).

I also like jakobkramer's solution, maybe even more recognizable, but, as he
says, might be too colourful. Perhaps a bit brighter icons wouldn't be bad.

I'd allow users to choose between those two solutions!

If they say there is a legal issue on using the exactly same colors of "the main
competitor", well, in a 24 bit graphic card there are about 16 millions colors
to be chosen, and human eye can see much less then those.

Talking about human eye, have you thought about people not seeing very well? An
eagle can easily distinguish between an ODB, an ODG or an ODP icon, but how can
a 50 years old user (specially with the not-huge icons)?

You are right! I didn't think about the seagulls: were them shot down?
Comment 49 tanstaafl 2010-06-10 21:16:55 UTC
I like this one too... but honestly, I'd like anything better than the b&w icons...

At least you guys are showing it really isn't that hard of a thing to do.
Comment 50 tanstaafl 2010-06-10 21:57:55 UTC
@cornouws

It is honestly hard to trust it will be fixed, considering the total lack of
response here in the Issue Comments from any OOo developers, in spite of the
fact that this issue has accumulated 105 votes in just 5 days, and was
'confirmed by votes' in 40 *minutes* (both of which must be records).

Do a query on all open issues with more than 100 votes. Then go read all of the
comments for some of them.

The fact is, the OOo development process doesn't really care what those of us in
the OOo user community want or think. I'm not saying all of the *developers* are
like that, but the *process* *creates* *the* *condition* - and now we have these
shiny new politically correct 'icons' we are now stuck with for ... how long?
Only time will tell.

Not to mention the fact that the issue with the most votes currently (468) is
8.5 years old, still marked as 'NEW', and to add insult to injury, is *already*
*fixed* (in the go-oo code base).

Shall I bring up the fact that there is still no true OOo community as was
promised by Sun from day one, just a Sun (now Oracle?) dictatorship?

Trust is something that must be earned, and the OOo developer<>community process
has not earned much of anyone's trust, and for good reason.
Comment 51 cno 2010-06-10 22:08:34 UTC
things are changing...
Comment 52 tanstaafl 2010-06-11 12:56:18 UTC
@cornouws

Well, since there has actually been a major change in that Oracle bought Sun,
I'll take your word for it and stop complaining and adopt a wait and see...

I can only hope the change is for the better... :)
Comment 53 ticotexas 2010-06-11 18:26:20 UTC
Created attachment 69931 [details]
until this is fixed, i extracted, colored, and created my own ICOs for use with my desktop shortcuts
Comment 54 prowlerxpla 2010-06-11 20:17:17 UTC
Nice, but they lack of odf logo, :-) I'll try to add :-)
Comment 55 massic80 2010-06-11 22:39:58 UTC
They are wonderful! Who cares about the ODF logo? They are the application icons!
Comment 56 Stefan Weigel 2010-06-12 10:29:33 UTC
massic80: "They are the application icons!"

That´s right. But this issue is about document icons. And that´s why ticotexas
contribution is off topic. ;-)
Comment 57 tanstaafl 2010-06-12 15:56:05 UTC
It is far more important to get the colors back than the get the ODF stamp on them.

I don't mind the ODF being there *for ODF files*, but it si far less important
than simply getting the colors back.

Even though I like the older icons less than the design of the new ones, I'd
much rather 3.2.2 simply revert to the old icons, than continue debating on the
newer ones.

The debate on the newer ones can then continue until a reasonable consensus is
reached *that includes a lot of input form users and voters in this bug*.
Comment 58 syzygy 2010-06-12 16:16:37 UTC
New not colour icons are simply awful.
It is impossible to distinguish types of files. I have deleted 3.2.1 and have 
passed on Go-OO 3.2. Please, return old icons.
Comment 59 emforner 2010-06-12 21:55:39 UTC
I too believe that icons should be of different colors for a batter recognition of 
the files; also, it would be another good idea to differentiate the mimetype 
acronym (e.g.: ODT, OTT, ODS, OTS, etc.) instead of using the only ODF.
Emanuele Forner
Comment 60 massic80 2010-06-12 22:10:12 UTC
I agree. Why to use an "anonymous" ODF when ODT, ODS, etc would be more clear?
(Yes, even this is slightly OT, sorry)
Comment 61 grakic 2010-06-12 22:20:11 UTC
I find it a noble goal to promote ODF as a collection of file formats using 
icons. If filetype icons can get their color back with different symbol and ODF 
inside that could use as good marketing for ODF and still not cause harm to the usability.

Having extension repeated is not as strong as having ODF on all Open Document 
Format filetypes. Also ODF should never appear on non ODF filetypes. Having ODF 
text on icon representing Microsoft Word .doc file format is just plain wrong 
and dangerous. Icons without ODF text (but with same background/color/symbol) 
should be used for other supported office file formats.
Comment 62 mramsch 2010-06-14 17:56:41 UTC
I strongly vote for the easy distinguishable coloured icons from OOo 3.2.0.
Won't update my clients' OOo installations because of the new unusable icons
(and changing icons by hand is too much work either).
Comment 63 tommy27 2010-06-17 20:57:06 UTC
I've heard rumors that say this issue will be probably ignored and labeled as 
"OOo later" despite the impressive amount of votes...

I hope these rumors wil not be confirmed...
it would be so disappointing...
Comment 64 grakic 2010-06-17 21:03:46 UTC
> Stefan Taxhet and Christoph Noack agreed to work out a request to
> the ODF Icons team to iterate on the design and/or processes.

This is a quote from OpenOffice.org June Newsletter sent out today. It is good 
news, so let us wait and see updates to this issue and who it will be assigned 
to.
Comment 65 pmccartney 2010-06-18 14:12:13 UTC
I'm just adding my two-cents worth, by saying that the color coded icons help...
If Microsoft can understand this simple feature, why can't oracle?
Comment 66 itmanager 2010-06-18 14:35:55 UTC
> I'm just adding my two-cents worth, by saying that the color coded icons help...
> If Microsoft can understand this simple feature, why can't oracle?

Because she is projected into the future she is ahead of its time. Next step ? All 
icons must become monocrome: jpg, tiff, mp3, pdf ...
A developer is writing a new software that "recognize, for you, the icon selected 
and paint it with the correct color".  But, this new software is not freeware!
Comment 67 kongnan 2010-06-19 15:15:42 UTC
temporary......

http://user.services.openoffice.org/zh/forum/viewtopic.php?
f=2&t=740&p=2686#p2686
Comment 68 tommy27 2010-06-20 10:18:48 UTC
sorry, I can't read japanese...
Comment 69 jakobkramer 2010-06-20 10:26:52 UTC
tommy27 -> If you copypaste the whole link (not just the "link part" of the
link), you are taken to a page with a temporary set of colour coded icons. The
page is definitely not in English, but the link should be fairly easy to locate :)
Comment 70 tommy27 2010-06-20 11:02:21 UTC
do you mean that specimen.zip file below the icons screenshot?

I downloaded it but AVG anti-virus finds 2 trojans inside it...
Comment 71 prowlerxpla 2010-06-20 11:12:16 UTC
it's an exe file, i'm runnig linux, could someone put me somewhere that file?
Comment 72 noop 2010-06-20 18:41:52 UTC
Don't download Specimen.zip. Tested on:
http://virusscan.jotti.org/
http://www.virustotal.com/
and it contains trojans/backdoor signatures. I also looked at the data files in
the .exe & they are all dated 31 December 1969. 
a-squared	5.0.0.26	2010.06.20	Trojan.IRC.Backdoor.SdBot4!IK
Antiy-AVL	2.0.3.7	2010.06.18	Backdoor/Win32.SdBot.gen
Authentium	5.2.0.5	2010.06.20	W32/Backdoor2.EUUP
AVG	9.0.0.787	2010.06.20	Dropper.Generic2.FAN
etc. etc.
Comment 73 kongnan 2010-06-21 15:26:17 UTC
(Sorry for my poor english)

to: tommy27, prowlerxpla, noop:
I'm the author of that patch. It seems that I'd better say something.
The patch is created with diablo2oo2's Universal Patcher - [dUP].
Someone said "A trojan virus was detected ...... However, a quick Google shows 
this is commonplace for this patch program (diablo2oo2's)".
If you check the report, you'll find some engine call it "patcher".
You can download dup2 and make a patch yourself and scan it.

In fact I use another tool to edit the icons in soffice.exe directly, but I 
don't know if it's legal to upload the EXE( And an EXE is much bigger than a 
patch); Similarly, I can't upload the Icons (Not to metion I don't have stand-
alone icons, they are embedded in the exe...)

If anyone worrys about the trojan, please don't download the patch.
If anyone knows whether it's legal to upload the EXE, please tell me.
Comment 74 kongnan 2010-06-21 15:41:56 UTC
(Sorry for my poor english)

to prowlerxpla:

I'm not familiar with linux, 
but it's said that exe trojan won't injure linux, 
linux system doesn't use exe.

But similarly, the patch can't work correctly, 
because it will only patch the win32 bin - soffice.exe .

Harmless but useless, (-_-);;
Comment 75 noop 2010-06-22 18:28:54 UTC
On 06/21/2010 07:42 AM, kongnan wrote:
...

> I'm not familiar with linux, 
> but it's said that exe trojan won't injure linux, 
> linux system doesn't use exe.
> 
> But similarly, the patch can't work correctly, 
> because it will only patch the win32 bin - soffice.exe .
> 
> Harmless but useless, (-_-);;

Agree. Confirmed by Bitdefender Antivirus staff:

> The analysis of the files has been completed with the following results:
>
> The application is a crack/patcher for Open Office 3.2.1; It is not malicious,
> therefore, detection will not be added.

I reckon that AVG & the others are reporting a false positive. Sorry for
the noise.

Comment 76 remo00 2010-06-23 08:08:48 UTC
It is impressive the lack of feedback from the developers.
166 votes for this issue and no replay.

This is the classical case where "design" decrease "usability".
PLEASE REINTRODUCE COLOUR CODES FOR MIME TYPE ICONS

Thanks
Comment 77 tommy27 2010-06-24 21:48:10 UTC
come on, devs!!!
say a word!!!
Comment 78 prowlerxpla 2010-06-25 10:09:42 UTC
come on, spirit of devs!!!
If you're here knock once for 'yes :-)
Comment 79 akeller 2010-06-30 20:58:12 UTC
Quite agreed with all those who want colored mime-type icons back.
Please re-color!!!
Comment 80 ped 2010-07-02 15:52:24 UTC
Devs: I tried to do some comment/question, but no matter how many times I tried,
I still ended with something unpolite. So bad it is... Basically I would love to
know who/when/why, so I can [ok, I will stop here].

Workaround: go to http://ui.openoffice.org/nonav/VisualDesign/OOo30MimeType.html
and download the single .ico files for each type you use/like/need. Put the
resulting .ico files somewhere where they can occupy space and you recall that
place well. (I put them into "C:\Program Files")

Then in (WinXP) explorer in Options switch to file types, find all the
extensions (ods, xls, xlsx, etc..), and at the bottom is some button for
adjustments, where you can select the icon to the downloaded .ico files.

Comment 81 hatchjn 2010-07-02 16:15:44 UTC
ped:

It's not letting me do that for Windows files (xls, doc, etc.) and those are the 
ones I really need to change the icon for.  When I click on one of the Windows 
extensions it gives me these two options:

Change (to change the program used to open the file)
Restore (to restore it back to the default setting of MS programs opening it)

Is there some other way to accomplish this?
Comment 82 ped 2010-07-02 16:42:42 UTC
hatchjn: WFM, sorry. (I don't have english XP here to give you exact steps,
maybe somebody else will be able to help you better) Also I'm not sure what
Vista/Win7 does in this aspect. I did these icon changes only in Kubuntu (can't
recall where exactly, but it was easy to find) and now in WinXP (as described in
previous post).
Comment 83 ed2 2010-07-02 17:57:12 UTC
@ped

Where did you get the Linux icons? The link you provided only has Windows and
Mac versions.
Comment 84 ped 2010-07-03 16:45:06 UTC
@ed2: I had them already in the big list of available icons, not sure where they
came from. (probably from older OOo package?)
Comment 85 tommy27 2010-07-04 07:12:31 UTC
does anybody here have any news about decisions of the devs about this issue?

179 votes deserve at least an answer
Comment 86 cno 2010-07-04 22:18:14 UTC
@ *,
The item has been discussed again in the community council and up until now work
has been done to get foundation on which we can work to resolve this issue. May
sound superfluous, but it isn't IMO. The changed icons, how much they may be
criticized by part of the users, have not been worked out in a fortnight and
definitely were designed with certain ideas and goals. And on the other side the
strong criticism. So a necessary start is bringing this all together before we
can actually work on the best solution.
I do not see a big change that this will be finalised before 3.3.0 (sorry, but
speaking for my own involvement, and knowing the situation of many others: much
work has to be done beside many other demanding tasks).
Therefore, what I saw passing by here (intermediate solutions) may be useful.
Possibly that can even be bundled in an extension or so for people that can not
wait?
We will make sure that we keep you informed, either in this issue or in another way.
Regards,
Cor
Comment 87 cno 2010-07-04 22:21:27 UTC
Looks as if I should have typed 'chance' in stead of 'change'. Sorry.
Comment 88 tanstaafl 2010-07-05 20:09:37 UTC
@cornouws

No offense, and this isn't aimed at you, it is aimed at the politicians
masquerading as software developers:

I don't care how long it took them to redesign these icons, the fact is, they
BLEW IT by going with b&w, and whoever's decision this was/is simply is not man
(or woman) enough to admit they made a mistake and fix it. PERIOD. END OF SENTENCE.

What infuriates me the most about things like this is how totally unnecessary it
is. The solution is easy:

1. GO BACK TO THE OLD ICONS WITH THE NEXT POINT RELEASE, and

2. Start the process over again for redesigning the icons, taking into account
the fact that b&w icons are NOT ACCEPTABLE.

There is absolutely NO reason that the above cannot be done for the 3.2.2
release (much less the 3.3 release), save one: THE DECISION MAKER(S) DON'T CARE.

Well, guess what? As of now, I don't care either.

I am now in the process of working on migrating our entire office over to
KOffice. Since we're on windows, and KOffice isn't entirely stable on windows
yet, it may not be able to happen in the next few months, or even the next year,
but it will happen - unless by some miracle things change drastically with the
OOo development process prior to KOffice being ready for prime time on windows.

So long, OOo devs, and thanks for all the fish!
Comment 89 kongnan 2010-07-06 10:09:21 UTC
[sorry for my poor English]

@tanstaafl:
I'm afraid the icons will NOT go back. 
The old icons have an S-shaped "Sun Style", which can't be accepted by Oracle. 
Remember the beautiful blue VirtualBox "About" window? Now it has gone...
Comment 90 tema 2010-07-06 10:26:25 UTC
IMO, the new icons look fine. Just PLEASE ADD SOME COLOUR so that they can
easily be differentiated between each type. 
Comment 91 tommy27 2010-07-06 12:19:55 UTC
@kongnan

I don't want to have exactly the same old "SUN design" icons.

I just want color codes back... they can even mantain the actal design but just 
colorize it with old color codes (Calc green, Writer blue etc etc(
Comment 92 tanstaafl 2010-07-06 12:36:26 UTC
@kongnan
Like I said - it is *not* a physical impossibility, it is purely a *political*
decision, and a piss poor one at that.

The fact is, it would only take any half-competent graphics artist an hour to
colorize the new icons. It is the political red tape that is preventing this
from simply happening. What is needed is someone that can make a command
decision without requiring a 'consensus' of some brain dead 'committee'.

And yes - if you hadn't noticed, I loathe politics, and political correctness,
both of which, I'm sorry to say, OOo is massively infected with.

@tommy27
If you read this thread, and my comments, you sill clearly see that most people
do indeed like the new icons *except* for the lack of color.
Comment 93 tommy27 2010-07-06 12:52:50 UTC
@tanstaafl 

that's whta I said... 
keep current design but colorize it...

and if you wanna keep promoting the "ODF format thing" leave the monohromatic 
blue ODF tag in each file type and colorize just the icon background.

I agree with you that there's no real technical trouble to rapidly release OOo 
3.2.2 with a color coded icon pack...

it seems they are postponing the decision to OOo 3.3 or even OOo Later...

Comment 94 itmanager 2010-07-07 08:13:34 UTC
Oracle can use existing icons as a means to free advertise (marketing) ... 
Oracle need only add a small red O on each icon (O=Openoffice but also O=Oracle) 
and change the background color that should be different for each application 
(Write, Calc, ...)
This is very easy, fast and inexpensive to make, also solves a problem 
objectively using OpenOffice, makes many people happy and can increase the 
appreciation of Oracle. 
Quickly makes the change more quickly enjoy the benefits. Longer waits longer 
creates dissatisfaction.
So the alternative is:
to divide the tasks for each of us, 
to vote the best draft icons by inserting what we want (as the initial letters 
of the author, the photo of his girlfriend, etc. :-P  )  
and to find a way to quickly deploy a plugin.
hi.
Comment 95 tommy27 2010-07-10 19:07:43 UTC
@ itmanager 

I'm 100% agree with you.

your proposal is acceptable and feasible.

the devs should listen to it and release an OOo 3.2.2 version with fixed icons

183 votes still do not mean anything?
Comment 96 lewasp 2010-07-14 05:29:08 UTC
Bring back the colours because I can hardly distinguish my Calc icon from my
Writer icon when I got the two different files open on my taskbar!
Comment 97 lewasp 2010-07-14 05:29:46 UTC
Bring back the colours because I can hardly distinguish my Calc icon from my
Writer icon when I got the two different files open on my taskbar!
Comment 98 bvwknapp 2010-07-14 15:17:24 UTC
I started the update process until I realized what the Oracle team had done to 
make the icons less usable at which point I halted the update.  I will also be 
sticking with 3.2.0 until color coded icons are reintroduced.
Comment 99 tommy27 2010-07-14 20:06:48 UTC
@OOo devs

please, face the facts...
nobody likes these monchrome new icons..
this new feature is making OOo loose users...
Comment 100 tommy27 2010-07-14 20:06:50 UTC
@OOo devs

please, face the facts...
nobody likes these monchrome new icons..
this new feature is making OOo loose users...
Comment 101 greyspot 2010-07-15 08:51:36 UTC
For a second there, I thought “why is there an AT&T logo in my quicklaunch?" So
much for brand identity.

The application icon doesn’t bug me. The new file icons however, are making me
nuts. The whole color scheme is silly, and I think it is a step backward in user
experience.

I’ve been using OOo for years and when I opened it up, it looked as if I was
picking my application off of a piece of paper. It’s so bland and colorless. No,
it isn’t “minimalist” or “sleek.” It’s just ugly and the lack of color and all
of the icons looking exactly the same makes everything kind of blend into the
background. The old color scheme made OOo seem friendly and easy to work with
from the start. It just seems so impersonal now. It’s cold and mechanical and
new users will be turned off by it.

I can understand uniformity, but this is just stupid. The old icons were easily
identifiable without even having to read anything. You could tell by the shape
and color what you were clicking on right away. It’s just the fact that having
everything look exactly the same slows you down because you can’t sift through
things as easily.

You wouldn’t think that something like this would be a big deal, but it’s HUGE.
This is the first thing someone sees when they open OOo, and it puts you in an
irritated mood immediately because you have to stop and take the time to look
around for what you want since everything kinda mushes together. This is the
face of OOo, it should stay colorful, friendly, and easily accessible.

Heck, I LIKE the new design! Just adjust the hue on the darn things! Make them
slight pastel colors if you want to stay drab. Do SOMETHING D:<
Comment 102 tommy27 2010-07-15 12:42:16 UTC
this issue is very close to collect 200 votes after 5 weeks...

this issue affects usability and decreases user productivity...

we could see it as a regression from previous version where color coded icons 
worked fine.

IMHO we could consider this issue a potential OOo 3.3 stopper.
http://www.openoffice.org/issues/show_bug.cgi?id=111112
Comment 103 vulcain 2010-07-15 18:06:16 UTC
Hello,

I am agree, the news icons have a good idea: write ODF on the icon's document,
but it's monochromatic and similar between the differents icons.

People always find the color blue for a word process (Writer, Word), the green
with spreadsheet (Calc, Excel), the red with presentation program (Power Point,
Impress). Why to change ?? Just add a little color to the new icons.

It could not be an issue for the renaissance team or the User experience team? 
http://wiki.services.openoffice.org/wiki/Renaissance
http://wiki.services.openoffice.org/wiki/User_Experience

Sorry, i can't create an issue: i am a beginner and english is not my native
language :-(

Thanks
Comment 104 tanstaafl 2010-07-15 19:59:33 UTC
In my opinion it should be a stopper for 3.2.2 release, but when I submitted
this bug for approval to the releases list as a blocker, all I got was a lot of
grief, and was even accused by someone of being a troll...

Maybe if 10 or 50 other people joined the releases list and did the same thing
it would get someone's attention...
Comment 105 tanstaafl 2010-07-15 20:02:00 UTC
By the way...

Whoever is the Bug Opener for this bug - please change the Issue Type to DEFECT
- since it is, regardless of whether or not the change was intentional.
Comment 106 ed2 2010-07-15 20:08:14 UTC
How does one go about adding an issue as a blocker?

This issue definitely needs block ANY further releases, and should really be the
subject of an emergency release just to solve this issue.
Comment 107 yafede 2010-07-15 20:44:42 UTC
Changed from enhancement to defect.
Comment 108 cno 2010-07-15 21:55:40 UTC
Hi guys,
Additional comments on how important this issue is, do not help.

If you are interested in what is intended to solve this issue: pls re-read my
previous comments here.
But since we deal a. with a large company as main sponsor (that takes time); b.
volunteers around that are busy too (takes extra time); and c. it is vacation
for many, do not expect a quick fix.
I do regret this, but it is better to be honest than to keep up appearance.

Since there are many people here and thus many skils: maybe you can work
together to create an extension or whatever, as temporary solution...
Comment 109 Stefan Weigel 2010-07-15 22:03:47 UTC
Changing Issue Type back to ENHANCEMENT. Setting the issue type wrongly against
its definition does not emphasize the issue.

I do strongly support the proposal to restore a color code to the mime type
icons, the sooner the better.

But sorry: by definition this is *not* a defect, because what we have got is
exactly what was intended.

http://de.openoffice.org/scdocs/ddIssues_EnterModify.html#issuetype
Comment 110 tommy27 2010-07-15 22:09:44 UTC
so, basically, as conrnows said, we should fix by by ourselves...

is there anybody able to recompile the new 3.2.1 soffice.exe file and replace the 
new monochrome icons with good old 3.2.1 icons?
Comment 111 cno 2010-07-15 22:27:20 UTC
@tommy27 "so, basically, as conrnows said, we should fix by by ourselves..."
pls be honest when quoting
Comment 112 floris_v 2010-07-15 22:39:11 UTC
The developers did have time to redesign the icons - and to botch it pretty
badly. They had time to really tear the Word export filter to pieces in 3.0.1,
so that tables and stuff got lost in conversion. All of this looks as close to
sabotage as it can get. If this black & white thing was intentional, then better
fire the people who thought of it. Hire some people for your communication who
have the sense to say: "Sorry, we blew it here" instead if making snide remarks
about what an enhancement or a defect is. The users can tell the difference, and
they're smart enough to read between the lines that it serves them right for
using the software.
Comment 113 methylene_blue 2010-07-15 22:41:46 UTC
Then we should at least change the Priority from 3 to 2 since this is not a
"non-trivial problem" and this issue deserves greater attention! It is a severe
usability problem which will affect ALL customers and not just a noticeable number.

"P3 marks non-trivial problems which probably affect a noticeable number of users."

"P2 marks severe problems which affect a significant number of customers
Issues with this priority must be fixed before the target release (see Target
milestone), which usually is the next major release, and should be dealt with as
soon as possible. Not fixing them for the target release is not acceptable."
Comment 114 cno 2010-07-15 22:43:51 UTC
.
Comment 115 ped 2010-07-16 08:05:36 UTC
@sweigel: "But sorry: by definition this is *not* a defect, because what we have
got is exactly what was intended."

Excuse me sir, but WHO did *intend* this? Can he finally stand up and say he did
it? I want basically know who's the brainless f*cker, so I don't have to blame
whole OOo team (although for the pain caused over years ... why do I care, oh
well, blame them all).
Comment 116 Martin Hollmichel 2010-07-16 08:17:22 UTC
no need to have a dispute about issue type and priorities. this topic is clearly
on the current agenda and will be worked on the public mailing lists. 
Comment 117 Olaf Felka 2010-07-16 08:24:06 UTC
Can we get rid of 'community members' who call other people "brainless f*cker"?
I'm not willing to work together with such users. Remember: We are just talking
about icons!
Comment 118 floris_v 2010-07-16 08:35:31 UTC
@of: "Remember: We are just talking about icons!"

You just exposed your level of ignorance here. Don't even try to ridicule the
people who are put out by this set of icons. OOo is advertised as a productivity
suite. If users' productivity goes down because of these icons, then the
developers did something seriously wrong. You only fool yourself by pretending
that the users are wrong or that they're overreacting. If you object to people
hinting that you're a ******, then don't give them the polite rendering of "go
**** yourselves", which is what the developers have been doing pretty
consistently in this discussion.
Comment 119 tommy27 2010-07-16 08:48:48 UTC
@ped
I hate the new icons too but the comments you made are very offensive.
shame on you.

@cornows
I think I was honest quoting you.
you said that the OOo cannot face this issue immediately because of several 
factors (sponsorship, busy devs, vacation) and you suggested that the users 
should try to find themselves a temporary solution (extension or something 
else).

this basically means: "fix it by yourself"
it's not your exact words but it's the meaning of what you said.

there was not polemic intent in my quotation...
if the OOo can't do it, I accept that decision and, as I said in my previous 
post, I will ask if there's any enough skilled user able to recompile 
soffice.exe replacing new icons with old ones of with recolored new icons (some 
tests have been attached here by some users).

I don't care of the new design... the ODF tag could be left in place...
I just want back the color coded backgrounds because improved usability

OOo is opensource so users could change the code and reintroduce color-code icon
unfortunately I'm not able to do this but maybe other users could be able to 
accomplish this task


Comment 120 prowlerxpla 2010-07-16 09:47:22 UTC
@hm"no need to have a dispute about issue type and priorities. this topic is 
clearly on the current agenda and will be worked on the public mailing lists."
this is a good news:-), where did you take the news to be able to say "clearly"?
Comment 121 prowlerxpla 2010-07-16 09:51:00 UTC
@of
"Can we get rid of 'community members' who call other people "brainless f*cker"?
I'm not willing to work together with such users. Remember: We are just talking
about icons!"
Totally agree with you
Comment 122 tanstaafl 2010-07-16 12:32:10 UTC
@sweigel said:
> But sorry: by definition this is *not* a defect, because what we have got
> is exactly what was intended.
> 
> http://de.openoffice.org/scdocs/ddIssues_EnterModify.html#issuetype

Excuse me sweigel, but just because someone broke something intentionally does
not mean it is not broken.

THESE ICONS ARE BROKEN. PERIOD. AND THAT MAKES THIS A DEFECT.

@mh said:
> no need to have a dispute about issue type and priorities. this topic is
> clearly on the current agenda and will be worked on the public mailing lists.

Please point to JUST ONE example of how the seriousness of this issue is
'clearly on the current agenda and will be worked on the public mailing lists'?

I have not seen even ONE serious statement from any OpenOffice.org developer in
an official capacity, much less anything from Sun/Oracle -and no, comments in
here from someone who may or may not be a developer or employee of Sun/Oracle
don't count. 

@of said:
> Can we get rid of 'community members' who call other people "brainless
> f*cker"? I'm not willing to work together with such users.

the truth sometimes is painful. While I would not use such language, I agree
with its sentiment. Whoever made this decision should absolutely and
unequivocally be FIRED.

> Remember: We are just talking about icons!

Rotflmao! This actually sounds like something the one who made such a brain-dead
decision would say... so was it you?
Comment 123 tanstaafl 2010-07-16 12:40:56 UTC
@cornouws ssid:
> Hi guys,
> Additional comments on how important this issue is, do not help.

You said that things were changing for the better. I have been waiting
patiently, but have seen no evidence to support your claim.

Sorry, but BP has been doing a better job of handling the Gulf Oil debacle than
Oracle/OOo developers have of handling this screw up with the icons.

How about a FORMAL STATEMENT from someone at Oracle? Or at least from one of the
lead OOo developers?

I have said it before, but I'll now put my money where my mouth is:

I'll wager $1,000 that this issue was 'confirmed by votes' faster than any issue
in the history of OOo's development (40 MINUTES), and that it garnered 100 votes
(less than 5 DAYS), then again 200 votes (a little over one MONTH), faster than
any previous issue as well.

If that doesn't warrant at least a formal statement from someone admitting the
mistake and promising action, then nothing does.
Comment 124 andreschnabel 2010-07-16 12:47:16 UTC
the responsible product manager can easily be found.
Just look at the spec:
http://wiki.services.openoffice.org/wiki/Unified_ODF_Icons_-_Specification

I also don't want to read all those flames, I'd rather go on and work on my
part of OOo (what curentliy is translation).

What happens here could have been easily foreseen (and it was). All the flames 
could have been prevented - but product management decidet to go on. 
Unfortunately now *we* have to deal with the flames.
Comment 125 tommy27 2010-07-16 13:27:05 UTC
I already know that new mime type icons are located inside Bin/soffice.exe
I will figure out a way to modify that file in order to replace monochrome 
icons with color-coded icons... 

there's another request: do you know where the GUI filetypes icons (those used 
in the splashcreen and in the new file dropdown menu) are located?

I suspect that icons located in soffice.exe are used for extension assignation, 
while icons in the GUI are probably located elsewhere.

my aim is to change the look of the icons either in Windows file manager or in 
OOo 3.2.1 GUI.
Comment 126 italovignoli 2010-07-16 13:29:38 UTC
I think that this issue shows on one side how poor is the "official" marketing
behind OOo and on the other side how poor is the Oracle understanding of office
productivity. Unfortunately, OOo is a very good product in very bad hands (and
brains, too). Any hope that the situation could change from the past has been
frustrated by the way this issue has been managed so far.
Comment 127 morobus 2010-07-16 14:03:43 UTC
Created attachment 70652 [details]
3.2.1 soffice.exe with replaced icons from 3.1.1 soffice.exe
Comment 128 tommy27 2010-07-16 14:06:27 UTC
@ morobus

did u read my previous post?

does this modified soffice.exe file change the icons look in the "Welcome to 
OpenOffice" screen as well in the "new file" dropdown menu?
Comment 129 vvzh 2010-07-16 14:19:49 UTC
Created attachment 70654 [details]
Workaround script for Windows users
Comment 130 methylene_blue 2010-07-16 14:24:42 UTC
@tanstaffl 
cornouws is absolutely right: further comments on the importance of this issue
are not helpful.

@ALL
We needn't emotionalize this any further (actually not it all). We've complained
more than adequately - to the point of incredibility. Repeatedly venting anger
and even hostility reduces the serious discussion of this issue to a cheap
chat-room. Please refrain from swearing, name-calling or expressing violence
towards developers. Do that somewhere else, if you must, but NOT HERE. 

We must move forward on this issue. What does that mean? It means this:

1) This issue has been set from Priority 3 (P3) to Priority 2 (P2). What that
does, among other things, is REQUIRING that this issue be resolved for the next
release. Not fixing it is unacceptable. "Issues with this priority must be fixed
before the target release (see Target milestone), which usually is the next
major release, and should be dealt with as soon as possible.
Not fixing them for the target release is not acceptable." (See
http://www.openoffice.org/scdocs/ddIssues_EnterModify.html#priority
for more info on Priorities.)

@corounws: You mentioned that you "do not see a big change that this will be
finalised before 3.3.0." Is this still the case when this has P2? If so, why?

2) @corounws: What needs to be done to assign this issue a "Target Milestone"?
It is indeed troubling that this has not been set for this issue! And what does
"Assigned to: requirements (requirements)" mean? This also does not sound
promising. We would expect to see a username or an issue owner here and not, as
in this case, a plural noun. Please advise!

2) cornouws' comment (Thu Jul 15 20:55:40 +0000 2010) has evidently been helpful
to some of us (i.e., working together to create a temporary solution), but it is
probably beyond the skills of the discussion participants (including my own) to
integrate new icons into the OOo source code and recompile or even to create an
extension (which is also no piece of cake!). What has been offered so far (i.e.
colored shell file icons that can be integrated into the user's OS) is modestly
helpful. That is exemplary of the kind "moving forward" we need to do, so thanks
to prowlerxpla, jakobkramer and ticotexas for these! [Honorable mention goes to
kongnan (°±°)] 
!!! And at the time of writing morobus just submitted a new soffice.exe !!!
That's the spirit! 

3) Until this issue is resolved, use OOo 3.2.0 or Go-OO 3.2.0. unless there is
some fix or feature in 3.2.1 that is worth sacrificing the colored icons. syzygy
successfully deleted 3.2.1 and installed Go-OO 3.2. to return to the old colored
icons. If you do that, let us know by posting here! (I had read the release
notes and saw the new icons before doing an update. Since there are no fixes,
security patches or enhancements in 3.2.1 that are important for me, I decided
not to update from 3.2.0 to 3.2.1. I then deleted OOo 3.2.0 and tried Go-OO
3.2.0., which uses only a bit more than half as much memory than OOo does on Win
XP. 
-----

Another contribution just came in from vvzh, making this entire comment seem
nearly superfluous...
mb
Comment 131 vvzh 2010-07-16 14:26:18 UTC
Attached workaround for Windows users. Zip-archive contains old 3.2.0 icons from
OOo wiki and batch file that changes registry settings for ODF files.
The script is provided as-is, use it on your own risk. You can always look
through the source to ensure it does not contain malicious code.
To use it, unpack zip-file contents to some persistent (i.e. not temporary)
directory, e.g. "C:\Program Files\OpenOffice.org 3\" and run "seticons.bat" file.
Comment 132 morobus 2010-07-16 14:27:04 UTC
I replaced the icons stored in the soffice.exe, so only the icons on the 
windows ui are affected not the icons used in the application itself. To 
achieve this, i guess you'd have to modify the source code and recompile the 
whole thing. That would be quite a bit of work if you have to get into how to 
do it, but its all well documented.

At least this solution makes the distinction between different file-types in 
windows easier.

Btw.: it would be nice if someone tested the exe, for me it works just fine, 
but i don't know if it's really compatible on other computers with different 
setup.
Comment 133 morobus 2010-07-16 14:44:59 UTC
Created attachment 70657 [details]
Icon-files form the soffice.exe, for anyone who wants to paticipate artistically by coloring the icons.
Comment 134 tommy27 2010-07-16 14:54:41 UTC
@ morobus 

r u sure that the GUI icons are not stored elsewhere?

if we knew that file we could change them as well.
Comment 135 methylene_blue 2010-07-16 16:38:49 UTC
FYI - A little history on this issue and to show you this is an "old",
pre-3.2.1-release (!) issue!
------------------------------------
This issue was barely given attention in the recent "Community Newsletter" 

   http://www.openoffice.org/servlets/ReadMsg?list=announce&msgNo=423. 

"Document icon design: Christoph will formulate a proposal to be 
discussed with Stefan. This will be presented to the CC on the CC 
discuss mailing list."

That was it. >:[

The latest Community Council Meeting Minutes

  
http://wiki.services.openoffice.org/wiki/Community_Council/Minutes#Minutes_of_Meetings

mentions that 'current ODF "only" icons seem to be undesired by the community',
but there is NO MENTION of the issue of monochrome vs. color icons! Why not?!!!
Please address this issue in the August meeting!!! Or is the CC not the right
place for this??? cornouws can you comment on this?

In the Minutes there is a link to the original, very lengthy discussion on ODF
vs. OOo icons, but there is no mention in there about the (colorless) start
center icons. I did find a thread to that and the topic of color was brought up
on April 19:

   http://marketing.openoffice.org/servlets/ReadMsg?list=branding&msgNo=122

And the next response in that thread is exactly what has happened!!!
-----
"Hi Rosana, Jens, everyone,
Is there really no possible compromise on the use of a color scheme? And if
not, why?
I think this might be a huge usability hindrance. (I mean, before, people
thought to click the green to create a spreadsheet or click the orange for a
presentation. Now that's gone, and it's a lot harder to quickly find the
wanted application or file. Is the step back really necessary?)"
=====
And here was the answer given:
------------------------------
> 1. Why is there a need for complete lack of colors (besides blue). What
> is the rationale?
>   
The reason is to make the ODF icons promiment and not take the attention 
away from them by placing other elements with different colors on the 
start center. But as mentioned above the start center can be modified.
=====
For those interested, you can follow the rest of that debate here:

http://marketing.openoffice.org/servlets/ReadMsg?list=branding&msgNo=130

and continue following it by clicking on "Next in thread: New start center
icons" towards the top of each post.

Summary: One contributor summed up the discussion nicely with: "if we are going
to discuss the color issue in that early stage, why do we expect the others to
accept the "single color version"?"
Comment 136 morobus 2010-07-16 16:56:11 UTC
@ tommy27

I think the GUI Icons are .png files and were possibly encoded during 
compiling. I have no idea how to replace them in an already compiled 
application. Maybe someone else can. But i may have found the location of them 
in the source code (but again, thats only speculation): 
http://svn.services.openoffice.org/opengrok/xref/OOO320_m19/sysui/desktop/icons/
(look at hicolor and locolor)

And you are right about other icons. The following files also contain Icons 
which can be replaced: quickstart.exe, sbase.exe, scalc.exe, sdraw.exe, 
simpress.exe, smath.exe, sweb.exe, swriter.exe, unopkg.bin und soffice.bin.

Replacing the icons in the files which are named after the separate 
applications, results in changed icons in the title-bar and therefore in the 
task-bar as well. And of course the icon of the separate application itself.

As far as i have noticed, changing the icons in soffice.bin changes the icons 
shown in the quicklaunch-list.

For changing the icons in the applications GUI, i guess, you'd still have to 
compile a full/partial build or make an extension. But i too, am not an expert.
Comment 137 morobus 2010-07-16 17:29:26 UTC
Sorry, it seems i have been a little overhasty.

I found the GUI icons. They are located at \Basis\share\config\images.zip\res
Simply copy, modify and replace, there you go.

For easier locating of the new icons; sort by modification date.
Comment 138 ed2 2010-07-16 19:03:17 UTC
Created attachment 70662 [details]
Coloured versions of the 3.2.1 icons for Linux.
Comment 139 ed2 2010-07-16 19:05:32 UTC
I have modified the 3.2.1 Linux mimetype and application icons to have easily
distinguishable colours.

On Mandriva extracting this tar.gz file to /usr/share/icons/gnome,
/use/share/icons/hicolor and /use/share/icons/locolor seems to have replaced all
the monochrome OOo icons on the system. The procedure should be the same of
similar for most Linux systems but I can't definitely confirm this.

Note that I have no graphic design experience. These icons may not be
"professional quality", but I think they look OK and they are a lot more easily
distinguishable than Oracle's icons.
Comment 140 tommy27 2010-07-16 19:26:43 UTC
Created attachment 70663 [details]
Recolored OOo 3.2.1 start screen
Comment 141 tommy27 2010-07-16 19:29:30 UTC
@morobus
it worked!!! see the screenshot above!!!
 
Comment 142 methylene_blue 2010-07-16 19:32:12 UTC
Fantastic work, guys!
Comment 143 morobus 2010-07-16 19:41:06 UTC
Created attachment 70664 [details]
Extract in "OpenOffice.org 3" folder to replace all icons with colored ones from 3.2.0 (Backup the files first!)
Comment 144 ed2 2010-07-16 19:50:48 UTC
Just realised I saved the wrong png file for the 48x48 non-ODF text document
icon. Uploading corrected version.

I'm working on a way to correct the icons used within OOo (toolbar icons,
startup screen, OOo file picker) next. Only working on Linux for the time being
but might try to sort this out on Windows soon, unless anyone else volunteers to
convert my work.
Comment 145 ed2 2010-07-16 19:53:43 UTC
Created attachment 70666 [details]
Coloured versions of 3.2.1 icons for Linux. Corrected minor mistake in my previous upload.
Comment 146 tommy27 2010-07-18 10:33:38 UTC
@morobus

I tried your "icon swap" trick copying it inside "Bin\OpenOffice.org 3"

It works over a virgin version of OOo 3.2.1, changing either Windows file 
extension icons or GUI icons (start screen & new file dropdown menu)

however, if subsequently I copy my OOo 3.2.0 User profile inside the recolored 
OOo 3.2.1, then the "start screen" &  "new file dropdown menu" turn back to 
monochrome.

i made some tests and it seems that it happens if you transfer the sufolder 
"User\OpenOffice.org 3\user\registry" from the 3.2.0 version to the 3.2.1 
version.

do you have any idea why does this happens?

by the way, all my tests were done with the portable version of OpenOffice, the 
so-called X-OpenOffice by winPenPack.com 
http://www.winpenpack.com/main/download.php?view.1035


Comment 147 morobus 2010-07-18 20:22:46 UTC
@tommy27

I wasn't able to reproduce your loss of the recolored icons. But to change the 
GUI icons you'd have to change the images.zip located at "OpenOffice.org 3\Basis
\share\config\". 
The only reason you get the monochrome icons back, i can think of right now, is 
that you could be using another imagepack. To verify this, you could replace 
the content of the following zips with the content of the images.zip from my 
icon swap package: images_classic.zip, images_crystal.zip, 
images_hicontrast.zip, images_industrial.zip, images_tango.zip.
If that's the case and you want to keep the changes of the different packs, you 
would have to change only the icon graphics, located in the "res" directory of 
the different zips.

I hope this helps.
Comment 148 tommy27 2010-07-18 21:20:39 UTC
@morobus

u r right. the problem was the icon pack.
in my previous 3.2.0 User profile I was using the classic icon pack.
your recolored pack fixes just the default icon set.

that's why on a virgin 3.2.1 recolored icons worked and reappeared when using 
the 3.2.0 user profile.

to fix alternative icon pack colors I just copied the corresponding zip files 
from the 3.2.0 version to the 3.2.1 version.

now it works!!!


Comment 149 tommy27 2010-07-18 21:44:46 UTC
I uploaded a new version of morobus' "3.2.1 --> 3.2.0 icons swap zip file" to 
sendspace:  http://www.sendspace.com/file/vkzhu2

this version fixes alternate icon packs as well.

follow the same instruction as before:
extract the zip file content in "Bin/OpenOffice.org 3" folder to replace all 
icons with colored ones from 3.2.0 (Backup the files first!)


I thinks we did it!!! we finally found an easy way to get rid of the useless 
and annoying monochrome 3.2.1 icons replacing them with the good old 3.2.0 
color coded ones. credits go to morobus who found this workaround.

after all the fix was not that hard to do so I'm very surprised that the devs 
who know better that anyone else the internal structure of OOo did not suggest 
this solution to us...

I think that if we release the "icon swap zip file" workaround as an extension 
we well get many downloads.

let me just say: "FAREWELL MONOCHROME ICONS... COLOR CODED ICONS RULE AGAIN!!!"














Comment 150 tommy27 2010-07-20 12:18:54 UTC
@morobus
have u ever thoght uploading the "icon swap zip file" to http://
extensions.services.openoffice.org  ?
Comment 151 morobus 2010-07-20 14:53:10 UTC
@tommy27
Sure, but only as a functional .oxt package. I don't think you can upload zip-
files, which should be extracted into the openoffice program-folder, there.

I may be able to write a script which overwrites the files automatically, but i 
don't know how to launch it via the extension manager. How i see it, the 
extension manager is mostly designed to add functionalities to the openoffice 
suit, which then are accessible over the GUI, not to replace files within the 
folder-structure of the program itself. Nonetheless i guess it should be 
doable, though i haven't figured it out yet. 
If anyone has some expertise on this extension-stuff; feel free to share or 
develop the extension.
Comment 152 tommy27 2010-07-20 18:57:04 UTC
@morobus

you are right.
I think the most difficult part (maybe impossible) is to make OOo overwrite 
it's own files while running
Comment 153 htgoebel 2010-07-23 09:54:08 UTC
The new icons introduced in 3.2.1 are hard to distinguish. One has to look very
careful. If the icon stands for e.g. a .doc, it's even worse, since then the
icon is all monochrome.

Whoever designed these new icons should be send it a usability training immediately.
Comment 154 pluk77 2010-07-26 15:52:35 UTC
I like the idea behind this 'feature': using default icons for all ODF files as
provided by ODF Toolkit. Unfortunately, the icons lack any color and therefore
are not user friendly.

http://www.openoffice.org/issues/show_bug.cgi?id=108159

I propose someone with a bit of design skills submits a new proposed set of
icons to ODFToolkit.org after which they will hopefully filter down to OO.org

http://odftoolkit.org/ODF-Icons

Comment 155 areynaldos 2010-07-28 17:26:59 UTC
I used the "swap icons from zip" file, and it worked great within Open Office 
and the icons in Windows for ODF documents.

However, Microsoft documents (XLS, PPT, DOC) still show the new 3.2 OO design 
(all blue, dull, hard-to-distinguish) icons.

If I assign these Microsoft documents back to their corresponding program, the 
documents show the old OO logo. When I assign them to be opened by Open Office, 
the 3.2 icons come back.

Any suggestions on how to change this? I cannot change the icon from Tools-
>File Types, since my only option is "Restore", which brings the documents back 
to Microsoft.

Thanks!
Comment 156 tommy27 2010-07-30 13:10:11 UTC
I have uploaded a complete, already recolored package of X-OpenOffice 3.2.1 which 
is the portable no-install version of OOo assembled by www.winpenpack.com.

here's my recolored version of X-OOo 3.2.1:
http://www.sendspace.com/file/aos02r

here's the standard X-OOo 3.2.1 with monochromatic icons:
http://www.winpenpack.com/main/download.php?view.1035

Comment 157 methylene_blue 2010-07-30 19:29:13 UTC
> ------- from Fri Jul 16 13:24:42 +0000 2010 -------
> @corounws: You mentioned that you "do not see a big change that this will be
> finalised before 3.3.0." Is this still the case when this has P2? If so, why?
> 
> 2) @corounws: What needs to be done to assign this issue a "Target Milestone"?
> It is indeed troubling that this has not been set for this issue! And what does
> "Assigned to: requirements (requirements)" mean? This also does not sound
> promising. We would expect to see a username or an issue owner here and not, as
> in this case, a plural noun. Please advise!

@corounws: Would appreciate a response!
Comment 158 cno 2010-07-30 20:09:23 UTC
@methylene_blue: Sorry for having missed your remark!

I am not entitled to decide about efforts from Oracle employees or release blockers.
So pls understand my "P2" to emphazise the importance.
(Hmm, this probably won't be the only P2 that is not integrated in the next
release ..)
Knowing that this issue is picked up, I see no touble in 3.x target.
Comment 159 tommy27 2010-07-31 05:41:07 UTC
@cornows

did you see the workoround "icon swap" trick we found?

I think that the devs should try at least to enable this alternative icon pack as 
an OOo option, just like it already happens with GUI icons skins
Comment 160 cno 2010-07-31 07:27:03 UTC
@tommy27: well, I did see passing some messages that give me the impression that
there is a reasonable solution. But sorry, to bussy to really get my head around it.
Before writing anything else, could you pls tell me where I can see the
alternative icon pack?
(Must be linked somewhere above here, I know ... sorry)
Comment 161 tommy27 2010-07-31 07:41:08 UTC
@cornows

The icons we used in the workaround are the same icon packs used in OOo 3.2.0.

here's a Ctrl+C & Ctrl+V from my previous posts with the files to downlaod
The solutions provided are very simple and I think OOo devs should not have 
troubles to integrate this in a future release


1- I uploaded a new version of morobus' "3.2.1 --> 3.2.0 icons swap zip file" 
to sendspace:  http://www.sendspace.com/file/vkzhu2

this version fixes alternate icon packs as well.

follow the same instruction as before:
extract the zip file content in "Bin/OpenOffice.org 3" folder to replace all 
icons with colored ones from 3.2.0 (Backup the files first!)


2- I have uploaded a complete, already recolored package of X-OpenOffice 3.2.1 
which is the portable no-install version of OOo assembled by www.winpenpack.com.

here's my recolored version of X-OOo 3.2.1:
http://www.sendspace.com/file/aos02r

here's the standard X-OOo 3.2.1 with monochromatic icons:
http://www.winpenpack.com/main/download.php?view.1035


Please note that Sendspace links won't last forever, so hurry up downloading 
those files.
Comment 162 cno 2010-07-31 08:22:21 UTC
ok, thanks.
If you and others can be helped with the package, that is important.
(However sendspace does not get my appreciation, as I see it now. So for better
user experience ...)

When you talk about enabling the icon pack in the product, it means combining a
new not so good current solution (3.2.1) with an un desired old solution (the
S-curve). I tend to see this as not the way to go.

As intermediate solution, I would go for an as easy as possible to use
extention/package that can be used aside the regular download.
If there is a single point where people can go for that, I am sure that it will
be appreciated.
Comment 163 tommy27 2010-07-31 12:26:41 UTC
@cornows

I will answer to each point of your post:

1- the icon swap package helped me a lot.
the monochrome 3.2.1 icons made OOo annoying and unproductive to use and were 
the reason I had to downgrade to OOo 3.2.0.  Now I'm finally enjoying the 
latest OOo release because icons are again color-coded. I know many users who 
are finally using 3.2.1 with recolored icons after sticking with 3.2.0 becuase 
of the monochrome ODF icons.

2- I wonder what problems do you have with sendspace... I think it's one of the 
best webhosting services on the net. Upload & download is easy and fast.

3- old undesired solution... what are you talking about? I don't understand...
we used old 3.2.0 icons in the workaround files not because of their graphic 
design but just because they were color-coded and were already ready.

as many people have already said, the problem about 3.2.1 icons was not their 
design or the ODF tag... the only problem was the monochromatic background that 
made different applications file types very hard to distinguish...

the title of the issue is indeed "bring back color codes" and not "bring back 
3.2.0 design".  if the OOo team had released 3.2.1 ODF tagged icons with color 
coded backgrounds (green --> Calc. orange --> Draw etc. etc.) nobody would have 
complained at all.

4- integration of color coded icons in next release. I don't see exactly were's 
the technical issue about asking your icon designer just to recolorize the 
3.2.1 icons with the usual color associations we had in past releases.
as you may see some users here attached here some examples of recolored 3.2.1 
icons. 

as I said in previous post, I understand your aim was to promote the ODF brand 
but you did it in the wrong way making many users angry (222 vote speak by 
themselves).

just keep the ODF tag on each icon and just change background colors.
it's so easy... no rocket science knowledge is needed to do that.

5- regarding the icon swap as an extension I do not have technical knowledge to 
pack those files as an extension, but I think that there should be at least 
somebody able to do it among the OOo developers.

6- thanks for feedback. you are the only one of the OOo team who's spending 
time answering users requests in this issue page.






Comment 164 tanstaafl 2010-07-31 21:57:21 UTC
@cornouws

The icon pack is most certainly *not* a 'reasonable solution' to this bug. It is
a hack and workaround that would be a major headache to employ in a corporate
environment and I will *not* be going down that road.
Comment 165 tanstaafl 2010-07-31 21:59:12 UTC
Oh - and that said, thanks and kudos to tommy27 and anyone else who provided the
icon packs and figured out a way for individual users to get their icons back.
Comment 166 cno 2010-08-01 07:03:40 UTC
@tommy222

I will reply to new items. Makes no sense for me to repeat myself.

(OT:
> 2- I wonder what problems do you have with sendspace... I think it's one of
> the best webhosting services on the net. Upload & download is easy and fast.

WHen I follow your link and choose downlood, I get three subsciption offerings -
payed, and one link to instal doanload software ...
)

>  5- regarding the icon swap as an extension I do not have technical knowledge
> to pack those files as an extension, 

Sorry, I can't help you. But many people follow this issue, so ...


> 6- thanks for feedback. you are the only one of the OOo team who's spending
> time answering users requests in this issue page.

Thanks you for the compliment and your effort for a solution. 
But in my opinion, we are all 'of the OOo team' in a certain way.

Comment 167 tommy27 2010-08-01 08:04:13 UTC
@cornows
OT: sendspace has ads just like many other free webhosting services.
I think people should be aware of this and be able to download files avoiding the 
ads links and whatever may be annoying

@tanstaafl

corporate users need a better solution, i know.
maybe you could try with the full, already recolored version of X-OpenOffice 
3.2.1 that I have uploaded here: http://www.sendspace.com/file/aos02r
Comment 168 opendan 2010-08-01 12:41:19 UTC
Hi
Thanks for the good work with this issue.
When I worked with ooo3.2.1 for the second or third time, I thought: "theese
icons are really annoying (no color!)" and found this issue right away from the
oooforum. Within an hour I had the problem solved:
The script from
http://www.openoffice.org/nonav/issues/showattachment.cgi/70654/oooicons.zip
does a good job for the windows-explorer (especially in w7, with no folder
options). I had to rem-out the delete command though, because "merge" is not my
standard-action with .reg-files. But this jumped right into my eyes, when
inspecting the .bat-file, before running it. Nice script!
To get the old colored icons in the task-bar and when Alt-tabbing, I replaced
soffice.exe and soffice.bin with the files from this package:
http://www.openoffice.org/nonav/issues/showattachment.cgi/70664/OOo3.2.1%20icon%20swap%20with%203.2.0.zip
I made just this one shot, and so far it works fine and doesn't cause any problems.

The new design in color would work fine for me, but i definitely want the colors
(I often need to jump to the only spreadsheet, while a lot of text-documents are
opened, so i just Alt-tab, until I'm on the green field).

Thanks again for your contributions, and let's hope, there'll soon be a solution
that can be installed conventionally. We probably need an option to load
icon-sets, that affect all aspects (task-bar, window-frames, file-icons etc.).
Dan
Comment 169 tommy27 2010-08-01 19:12:09 UTC
[quote]opendan
We probably need an option to load
icon-sets, that affect all aspects (task-bar, window-frames, file-icons etc.).
[/quote]

that's what I asked too. I hope the OOo will do something like that.
Comment 170 methylene_blue 2010-08-02 12:43:49 UTC
@cornouws
> Knowing that this issue is picked up, I see no touble [sic] in 3.x target.

What do you mean with "picked up"? Picked up by whom? Where? This issue has not
been added to the track 3.3 release issue 111112 (see:
http://www.openoffice.org/issues/show_bug.cgi?id=111112). I'm not convinced that
this has been OFFICIALLY picked up by anybody in development. Only the
contributors in this issue (who are not involved in development as far as I can
tell) have "picked up" this issue. 

Are you the right person to be addressing this to? This issue has been assigned
to "requirements (requirements)" - which means who? Nobody! It has not been
"picked up".

There are a total of two P2 issues assigned to "requirements" for the 3.x target
milestone. Shouldn't this be ASSIGNED TO SOMEBODY?!

(PS:
>So pls understand my "P2" to emphazise the importance.
Your "P2" setting was done at MY request from Thu Jul 15 21:41:46 +0000 2010.)
Comment 171 ed2 2010-08-02 20:14:59 UTC
What does target "3.x" mean? What precise number is "x"?

Can someone please change this target to the precise version number of whatever
release is scheduled next (either 3.2.3 or 3.3, whichever happens first).

Also, can someone please advise how to add this issue to the 3.3 stopper list?
There have been numerous requests added as comments to that issue, but although
the poster keeps adding issues they do not appear to be reading any of the comments.
Comment 172 Stefan Weigel 2010-08-03 10:34:40 UTC
@ed2, For your information:

As long as this issue is assigned to 'requirements' no one will actually be
working on it. AFAIK there is no person behind 'requirements'.

The topic of icons has been discussed on several mailing lists, including
releases@openoffice.org. The latter is the place to nominate an issue to become
a stopper for the next release. This issue has already been nominated as a
stopper, but has not been accepted.

(I am not a developer nor am I in charge of any decisions, just observing things.)
Comment 173 tommy27 2010-08-27 11:50:55 UTC
the votes count is still rising.

is this issue on the schedule of the OOo devs for OOo 3.3? 
Comment 174 methylene_blue 2010-08-30 23:24:54 UTC
> is this issue on the schedule of the OOo devs for OOo 3.3? 
Unfortunately, there is no reason to think so, tommy27. It is still assigned to
nobody (i.e., "requirements") and is, by definition, not a show-stopper, though
it should be! As a matter of fact, in light of the controversy surrounding this
issue, the definition of "show stopper" should be modified to include issues
that will grossly effect branding/marketing of OOo. Moreover, as tanstaafl has
pointed out, the implementation of new icons turned out to be a major change
introduced in a minor release and this should be undone in the very next
release, whether major or minor, but certainly at the latest in 3.3

@cornouws
I think classifying this as ENHANCEMENT is incorrect since it does not improve a
"feature" (the monochrome icons removed the "feature" of color!). This is a TASK
which, as demonstrated by the fix presented here, does not require direct
changes to the code base! Please change the ISSUE TYPE to "TASK". Perhaps that
will help put this on the table for 3.3 since there would be no compiling
involved - just simple packaging.
Comment 175 tommy27 2010-09-01 13:04:37 UTC
it seems the devs are ignoring this issue by purpose.

i'm afraid that monochrome icons will make them loose new users.

as a true lover of OOo i will spend time change the icons with the "icon-swap" 
tricks but many new users could be discouraged by this
Comment 176 tad2020 2010-09-01 21:23:39 UTC
I reverted back to 3.2.0 a while ago and stopped updating. I deal with too many
mixed file types in the same folder in list view to have to deal with the icons
being indistinguishable from each other. The new branding is only bad thing I've
ever seen in OOo, and it will prevent me from replacing my office's deployment
of MS Office as all of my users will have an even harder time than I do telling
an excel spreadsheet file apart from a word document file when every icon is white.
Comment 177 tommy27 2010-09-08 06:39:20 UTC
in case the sendspace link was not available anymore, here's a permanent link 
to download the "icon tweak file" to recolor OOo icons:

http://www.winpenpack.com/main/e107_files/public/1281013659_1_FT18030_ooo3.2.1_i
con_swap_with_3.2.0_all_icon_packs.zip

many thanks to winPenPack.com who provided their website space.
I also suggest you to try X-OpenOffice which is their portable package of OOo.
http://www.winpenpack.com/main/download.php?view.1035
Comment 178 methylene_blue 2010-09-17 13:09:34 UTC
This is obviously getting zero-point-zero attention. It still has the status NEW
(which means it is unassigned) and it is incorrectly typed as an ENHANCEMENT
(should be TASK). 

@cornouws - please see my post on Mon Aug 30 22:24:54 regarding the above and
advise what the "community" (we) can additionally do to get moving on this
issue! Please respond this time.
Comment 179 cno 2010-09-17 13:25:04 UTC
@meth_blue: as a one-time exception (I tend not to repeat what I have written
before):
Apart from building your own, creating smart systems (extensions) to replace the
icons with your favoutites, I would have no idea.
And then still, 'zero-point-zero' is not true, although I agree that it really
does look like that.
Cheers, Cor
Comment 180 methylene_blue 2010-09-17 22:02:42 UTC
cornouws wrote:
> @meth_blue: as a one-time exception (I tend not to repeat what I have written
> before):

@cornouws: Indeed, I was hoping you wouldn't, cor! It would be nice to hear
something new and promising from you on this issue. And just for the record, I
have had to repeat myself as well to get a response out of you sometimes, so we
are pretty much even as far as forced-repetition goes ;-) I figured since you
take part in the Community Council Meetings you would be able to provide us with
some new insight. At least you could have mentioned what was in the August CC
Minutes regarding this (which I will now do here for you):
-----
    * 2010-08-12: Marketing contact is in vacation, and information also depends
on others at Oracle. More information defitively to come at the OOoCon,
presentation "Brand Refresh and new Brand Initiative" @
http://www.ooocon.org/index.php/ooocon/2010/paper/view/215. 
Next steps: Waiting for the reaction by Oracle, either getting in touch with the
community or an official announcement.
-----

@cornouws (cont.): Since you appear to be able to set field values (e.g.,
STATUS, PRIORITY, etc.) for this issue, how about setting the ISSUE TYPE to TASK
for reasons I have already mentioned but will repeat again here: 

------- Additional comments from methylene_blue Mon Aug 30 22:24:54 +0000 2010
@cornouws
I think classifying this as ENHANCEMENT is incorrect since it does not improve a
"feature" (the monochrome icons removed the "feature" of color!). This is a TASK
which, as demonstrated by the fix presented here, does not require direct
changes to the code base! Please change the ISSUE TYPE to "TASK". Perhaps that
will help put this on the table for 3.3 since there would be no compiling
involved - just simple packaging.
------------

> And then still, 'zero-point-zero' is not true, although I agree that it really
> does look like that.
> Cheers, Cor

You're right. I can see it is being "discussed" and, as we see above, "Marketing
is on vacation". So "greater-than-zero-and-less-than-one" would perhaps be more
fairly representative.

Thanks for the response.
Meth B.
Comment 181 tommy27 2010-09-18 08:49:29 UTC
@ OOo Devs

the facts are:

1- monochrome icons do not work... they are a step back in terms of usability.

2- the vast majority of old OOo users have been pissed off by this change and 
some of them are not upgrading to OOo 3.2.1 or 3.3 if the color-coded icons 
will not reintroduced

3- new users will not appreciate the new monochrome icons and will revert to 
Microsoft Office which has color-coded icons


so if you don't wanna loose either old or new users, hurry up replacing the 
useless monochrome ODF icons with some color-coded version.

you made a mistake... you have now to repair that mistake.
Comment 182 richard_g 2010-09-20 13:18:03 UTC
@ OOo Devs

Hello.

Peace and love! It seems that the OOo 3.2.1 b&w icons are a "casus belli" and
have started the Third World War. Dear OOo devs, now that all users SSBM seem to
have been launched, please could you get out of your anti-atomic shelters,
remove your black glasses,and consider that users are right when they claim that
b&w icons ARE a regression?

I fully agree with the last comment of tommy27 who gives a good summary of the
problem: COLOR CODES ARE NEEDED! Users are not bad babies who want color just to
make OOo prettier, but color is needed to help recognizing document types. You
have made a mistake with these b&w icons and you must recognize it.

I cannot believe you when you claim that it's impossible to add color for OOo
3.2.2. You could find time to change the design between OOo 3.2.0 and OOo 3.2.1
although it was a minor realease, didn't you? We don't ask you to change again
the new Oracle design, we just ask to ADD COLOR, not rewriting OOo.

Although some people here had made a good job finding some workaround to get the
color-coded icons, I don't like the idea of overwriting files in a an existing
OOo installation, and I wonder if I will remove OOo 3.2.1 and return to OOo
3.2.0. Dear Devs, if you continue to be deaf and blind to the user's community,
many users may turn to other products.

Anymore SSBM? So, peace and love.
Comment 183 methylene_blue 2010-09-21 12:09:29 UTC
For the fourth time (!!!): this is by definition a TASK.

Change the Issue Type to TASK!

(Believe it or not, this is not trivial!)

"Task is an activity to be done on behalf or in support of a feature or
enhancement. Tasks do not typically require direct changes to the code base."
Comment 184 methylene_blue 2010-09-21 12:14:25 UTC
Holy mackerel! That was fast! Thanks!!!
Comment 185 tommy27 2010-09-21 12:48:40 UTC
finally the issue has a proper type: TASK

has the priority of the issue been changed as well?

actually is P2 
Comment 186 methylene_blue 2010-09-21 13:03:00 UTC
@tommy27
Issue was changed from P3 to P2 quite some time ago. P2 is correct.

"P2 marks severe problems which affect a significant number of customers
Issues with this priority must be fixed before the target release (see Target
milestone), which usually is the next major release, and should be dealt with as
soon as possible. Not fixing them for the target release is not acceptable."

Unfortunately, the Target Milestone = OOo 3.x, which means at the latest this
issue would have to be resolved by release OOo 4.0 (yikes!)

Setting the Issue Type = TASK is a marker that no source code is involved in the
(already existing) fix, thereby avoiding any possible argument by Marketing &
Branding et al. based on the overhead complexity and effort of making a change. 

As far as I can tell, this is now in the hands of (currently vacationing)
decision makers in Oracle Marketing. I would hope to hear their position on this
in by the end of October, but I wouldn't bet on that.
Comment 187 darobm 2010-09-22 09:35:51 UTC
Can some US resident do some research on how and if the color change is 
compatible with American with Disabilities Act? If it's not, we may be able to 
ask for an upgrade to P1.
Comment 188 bluedrache 2010-09-22 13:06:52 UTC
http://www.ada.gov/?v=t
Comment 189 darobm 2010-09-22 13:45:48 UTC
ADA webpage isn't easy to understand.
But I've found this http://www.answerbag.com/q_view/1944632 that does some recap 
on the US situation:

Are color blind people handicapped?

On One Hand: Not According to the ADA
Color blindness is not among the disabilities listed by the Americans with 
Disabilities Act. Businesses and governments are not required to make 
accommodations for color blind employees and customers, nor are color blind 
people protected from discrimination.

On the Other: It Does Affect Lifestyle and Opportunities.
Depending on severity, color blindness can limit or make more difficult many 
daily activities such as choosing clothes or creating art. Also, many jobs rely 
on accurate color vision and some, especially in the military and public 
service, specifically exclude people with color blindness.

Bottom Line
It depends on your definition of 'handicapped'. Color blindness does affect the 
lifestyle and opportunities of people afflicted with it. However, it is not 
legally defined as a handicap or disability in the United States.

Too bad :-)
Comment 190 darobm 2010-09-22 13:46:21 UTC
ADA webpage isn't easy to understand.
But I've found this http://www.answerbag.com/q_view/1944632 that does some recap 
on the US situation:

Are color blind people handicapped?

On One Hand: Not According to the ADA
Color blindness is not among the disabilities listed by the Americans with 
Disabilities Act. Businesses and governments are not required to make 
accommodations for color blind employees and customers, nor are color blind 
people protected from discrimination.

On the Other: It Does Affect Lifestyle and Opportunities.
Depending on severity, color blindness can limit or make more difficult many 
daily activities such as choosing clothes or creating art. Also, many jobs rely 
on accurate color vision and some, especially in the military and public 
service, specifically exclude people with color blindness.

Bottom Line
It depends on your definition of 'handicapped'. Color blindness does affect the 
lifestyle and opportunities of people afflicted with it. However, it is not 
legally defined as a handicap or disability in the United States.

Too bad :-)
Comment 191 rsldsl2 2010-09-22 14:11:50 UTC
I am not an attorney.  I am handicapped.  The ADA is meant to remove barriers. I
suggest you seek the advice of an attorney who specializes in this area, since
this affects not just federal but possibly state and local.  

Personally, I believe we have a moral responsibility to providing or enhancing
technical assistance for all.  

See also:
http://www.ada.gov/reachingout/lesson21.htm
http://www.ada.gov/business.htm
http://www.ada.gov/5yearadarpt/fiveyearada.pdf
http://www.ada.gov/un_statement.htm
Comment 192 darobm 2010-09-22 14:33:42 UTC
I noticed my reasoning was reversed: it's not a problem for color blind people, 
it's us who all became color-blind for Office documents due to this change.

So the right check to do would be to check if with ADA you have provisions to 
facilitate access to computer software for people with limited vision by 
providing for example high contrast color patterns, screen readers and such 
(there are some provisions for website access).

I'll try to find something in the next days, but since I'm really busy with a 
project I don't know if I can work quickly on this.
Comment 193 sistemas373 2010-09-22 20:18:24 UTC
Usability is the name of the game! This office suite is really sweet, better 
than MS Office with their pesky ribbon!
Please re-intro the color icons, or at least a choice at setup or post-setup 
config for this.
Comment 194 gleppert 2010-09-22 21:29:46 UTC
I second, eh, two hundred second the motion to reintroduce color codes.
This issue is confirmed by public vote.
Comment 195 tommy27 2010-09-23 06:44:33 UTC
even if i have 20/20 vision, monochrome icons gives me troubles recognizing 
different file types.

i think that the situation is even worse for users with impaired vision.
Comment 196 tanstaafl 2010-09-23 15:52:08 UTC
I am against any and all government intrusions into the private sector,
regardless of how well-meaning such intrusions may be.

The bottom line is, if I, as a software developer, choose not to cater to the
handicapped, then that is my problem - the worst punishment that I should suffer
is the loss of users that are handicapped.

Give fascists an inch, they'll take the whole damned playing field.
Comment 197 bluedrache 2010-09-23 21:59:54 UTC
Flame bait and troll post.  Please keep politics out of a scientific discussion.
Comment 198 tanstaafl 2010-09-24 15:08:30 UTC
@bluedrache

Excuse me? I wasn't the one who suggested using thugs with guns to try to force
the OOo developers to change their software.
Comment 199 bluedrache 2010-09-24 16:35:32 UTC
@tanstaafl

nor was I.
Comment 200 tanstaafl 2010-09-24 17:41:46 UTC
@bluedrache

Well, if your comment was directed at the person who initially suggested using
the ADA Act to force this issue, you should indicate so (by specifying who you
are addressing as we are doing now). The way it reads, it was directed at my
comment.
Comment 201 ed2 2010-09-24 17:46:36 UTC
@tanstaafl 

Where on earth have you imagined anyone has ever "suggested using thugs with
guns to try to force the OOo developers to change their software"?

Certainly no on has on this page, indeed searching the whole page for the words
"thugs" and "guns" only returns ONE occurrence of each word on the entire page,
and they are both in your post YOUR post!
Comment 202 tanstaafl 2010-09-24 18:09:56 UTC
@ed2

What exactly do you think happens when government enforces a law?

Every law is enforced at gunpoint, and the ones bearing the guns are thugs,
nothing more nothing less.
Comment 203 docgranville 2010-09-24 18:22:25 UTC
Godwin's law still alive...

The only chance to escape : Do not feed the troll !
Comment 204 ed2 2010-09-24 18:25:51 UTC
@tanstaafl 

What gave you the ridiculous idea that "all laws are enforced at gunpoint"? 
That is completely untrue.

If you know a single incident where any software development company anywhere in
the world has been forced to obey any disability discrimination legislation at
gunpoint then please provide a link to the report of that incident from a
reputable news agency.  Until you can provide such a link I will assume that no
such incident has ever occurred, and your belief that "all laws are enforced at
gunpoint" is complete fantasy.

None of which has got anything to do with the issue at hand, which is the damage
that has been done to OOo's usability by the lack of colour-coded icons.
Comment 205 tanstaafl 2010-09-24 21:41:22 UTC
@ed2

You're not serious?

What do you think happens if someone disobeys a law, then disobeys a court order
to obey the law? Someone (or more) comes knocking on their door, and guess what?
They'll be armed to the teeth.

ALL laws are enforced at gunpoint. Just because you don't always see the gun is
irrelevant.
Comment 206 floris_v 2010-09-24 21:51:51 UTC
Do everybody a favour and stop this silly debate. I, and a lot of other people,
received some 12 mails about this. I wish I could unsubscribe from this topic.
Comment 207 ed2 2010-09-24 22:02:36 UTC
@tanstaafl

of course I am entirely serious.  It may be true in  some third-world, corrupt
country that laws are enforced at gunpoint, but it is certainly not true in the
civilised world

I have never heard of a single incident anywhewre in the world where a software
company has been forced to obey disability discrimination laws at gunpoint. Can
you provide a link to a news report of such an incident?

Also, no one has ever suggested using thugs with guns to try to force
the OOo developers to change their software.

So to summarise, neither your claim that someone here suggested using thugs with
guns to try to force the OOo developers to change their software, nor the claim
that "all laws" are enforced at gunpoint have any basis is reality.
Comment 208 tanstaafl 2010-09-24 22:27:37 UTC
@ed2

Enjoy living in your fantasy world. Or better yet - pick a law and refuse to
obey it (of course it would have to be a law where someone in power will notice
that you are disobeying it), and let me know how it goes when the enforcers pay
you a visit and you continue to refuse to obey...

I'm done, sorry to everyone else for the OT noise...
Comment 209 ed2 2010-09-24 22:37:39 UTC
Just to set the record straight, I am not living in a fantasy world.

Not can we please get back to the issue at hand, stop falsely accusing users of
advocating behavior they have never advocated, stop making ludicrous claims
about law enforcement, and stop falsely accusing anyone able to see how untrue
your claims are of "living in a fantasy world".

Sorry to drag this irrelevant discussion on for one more post, but I find being
falsely accused of "living in a fantasy world" to be a hurtful attack on my
character, and I feel it ids my right to defend myself from it and set the
record straight.
Comment 210 Rainer Bielefeld 2010-09-25 19:16:01 UTC
Can you all please stop those effectless discussions here! This is the issue
tracker system and not a forum, and the impertinent flames only will prevent
responsible staff to start fixing the problem.
Comment 211 methylene_blue 2010-09-25 19:24:48 UTC
@rainerbielefeld

>impertinent flames only will prevent responsible staff to start fixing the
>problem.

Just for the record: flames in no way influence "responsible staff" from fixing
a problem. However, comments not related to the issue (like this one, too, sorry
;-( make it increasingly difficult to track an issue.

Thankfully, this issue already has a "solution" and is just waiting for
Marketing & Branding to reach a decision.

All we can do now... is wait...
Comment 212 tommy27 2010-09-28 19:44:28 UTC
waiting sucks!!!
Comment 213 e7 2010-09-28 19:46:16 UTC
Maybee solves LibreOffice this bug :)
Comment 214 tommy27 2010-10-09 19:39:46 UTC
it seems that LibreOffice beta uses good old color-coded icons...

please, tell me why OOo 3.3 can't do the same?
Comment 215 tommy27 2010-10-09 19:40:00 UTC
it seems that LibreOffice beta uses good old color-coded icons...

please, tell me why OOo 3.3 can't do the same?
Comment 216 mauricereviol 2010-10-13 22:10:44 UTC
I can only agree!
The monochrome icons are so similar that it takes a good while to find things in
a explorer window. Bring back the colour coded ones.
They looked nicer and brought a bit of colour into the daily routine.
I saw that the new iTunes version is now just as bland with grey in grey colours...
Sad, we don't have to follow suit and go all of a sudden grey in grey, or who
followed whom here?
Bring back colours...
Comment 217 mauricereviol 2010-10-13 22:10:50 UTC
I can only agree!
The monochrome icons are so similar that it takes a good while to find things in
a explorer window. Bring back the colour coded ones.
They looked nicer and brought a bit of colour into the daily routine.
I saw that the new iTunes version is now just as bland with grey in grey colours...
Sad, we don't have to follow suit and go all of a sudden grey in grey, or who
followed whom here?
Bring back colours...
Comment 218 landydoc 2010-11-08 15:57:03 UTC
The colored icons where a lot better to distinguish. Our company went back to
3.2.0 only for this reason. We will wait for an update where this designer
mistake will be repaired. 

So I totally agree with this issue. 
Comment 219 landydoc 2010-11-08 16:03:07 UTC
The colored icons where a lot better to distinguish. Our company went back to
3.2.0 only for this reason. We will wait for an update where this designer
mistake will be repaired. 

So I totally agree with this issue. 
Comment 220 brama 2010-11-10 18:56:53 UTC
I miss the coloured icons ... 
Comment 221 tommy27 2010-11-10 19:03:55 UTC
everybody misses them... except Oracle... they seem to have no intention at all 
to restore the good old icons... I don't understand them...
Comment 222 e7 2010-11-10 19:28:27 UTC
Switch to LibreOffice.
Comment 223 tommy27 2010-11-10 20:46:06 UTC
I'm considering switching to LibreOffice as soon as they release a stable version

they already feature color-coded icons 
Comment 224 tommy27 2010-11-16 22:04:02 UTC
@to everybody who voted this issue

read this: http://blogs.sun.com/GullFOSS/entry/initializing_an_i_team_for

why is so difficult to revert to classic color-coded 3.1 icons?
Comment 225 methylene_blue 2010-11-16 23:20:51 UTC
THAT IS JUST FREAKING NUTS!!! WHAT IS THE BIG PROBLEM?

"So following the recommendation of the community council we would like to make
the icons better. That’s why we are creating an i-team"

Wait a minute! Aren't these the same people who once said "they are just icons"
and therefore introduced them into a minor-release? And now they are creating an
I-Team (???) for "just icons" to come up with some incredibly mysterious and
ingenious way of making monochrome icons more usable?

I recommend that ALL VOTERS on this list bombard these I-Team creators and
bureaucrats with protests against their new creation and letting them know how
preposterous their antics are and the need to get us back to simplicity and
usability as quickly as possible. They "welcome the input of users and experts."
Yes, that's what it says: EXPERTS. Can you believe it?! Innovation Comedy of the
21st Century, folks! 

Oh yeah - do point out that a "solution" is already available. Just install
release 3.2.0 and have a look! And if they don't fancy that, they can always
take a look at all the icon contributions right here in this very issue!

Don't let "them" get away with this! 

(By the way, for some reason "they" think BLUE "helps users identify the
document format and avoid conversion problems", and many of us know how much
freaking blue we already have on Windows OS' and some Linux window managers
(KDE) by default as well. Let them know their reasoning, assumptions and
assertions are completely frivolous.)
Comment 226 mauricereviol 2010-11-17 00:01:02 UTC
I posted a link to the zip file to replace the icons to the I-Team, so Hannibal
and BA can find their files a wee bit quicker in the grey in grey windows...;-)
Comment 227 methylene_blue 2010-11-17 12:58:18 UTC
For whatever it may be worth, yet another "Vote for Color Icons" has been
started on the <a
ref="http://wiki.services.openoffice.org/wiki/Talk:ODF_icons_i-team">newly
created wiki for the i-team </a>.

At this point I really do have to wonder who is making us repeat ourselves over
and over again. It's as if the responsible parties can only write and not read
English. Is Oracle behind this or some philosophical, idealistic Open-Document
movement at the top? Is it a conspiracy to kill OpenOffice? Must we find a way
to pry OpenOffice out of the hands of corporate sponsorship?
Comment 228 cno 2010-11-17 13:05:57 UTC
 - sorry, can't be of any help here anymore
Comment 229 tommy27 2010-11-17 13:57:59 UTC
@cornows
bye, at least you tried to hear us.
Comment 230 areynaldos 2010-11-17 16:32:02 UTC
"Must we find a way to pry OpenOffice out of the hands of corporate sponsorship"

Well, LibreOffice is trying to do exactly that. Someone mentioned it in the 
thread, and it seems promising. I am using Beta2 right now.
Comment 231 tommy27 2010-11-17 19:37:24 UTC
@OOo devs and icons i-Team

hey guys, do you wanna some inspiration for new user friendly and productive 
icons?
take a look here...

http://wiki.documentfoundation.org/Marketing/Branding/Mimetype_Icons/Proposals
Comment 232 prowlerxpla 2010-11-17 20:08:44 UTC
beautiful!!!! I like best the Ivan Miskovic ones and the elementary :-)
Comment 233 methylene_blue 2010-11-17 22:36:49 UTC
Nice icons for LibreOffice! Unique, easy to recognize and distinguish amongst
other application icons. 

Who would have thought that a change in "just icons" would drive users to seek
an alternative. Viva Libre!
Comment 234 ped 2010-11-18 08:37:55 UTC
@tommy27:
ad initializing I-team - "We think the icons are a step in the right direction,"
... in second sentence, should I read further? (I will, but I'm still surprised
how Oracle manage to upset such content and cold person like me and makes me
fire with almost every reaction to the issue, which luckily isn't often, as they
ignore the issue most of the time).

ad freelibre icon proposals page - made me almost cry. Funny thing, every of
those proposal is much better then current OOo icons. Ok, that's not funny,
that's actually very sad.

I think I will join the leaving pack ASAP, although I like 3.3.0 changelog, I
really do, impressive work Oracle, but the f*ck up with icons is too big, sorry.
And you could have know it, it's so easy, just read the votes counters, it's not
like community and customers was silent about this.
Comment 235 tommy27 2010-11-18 12:41:23 UTC
yes, u r right.

even the worst LibreOffice icon set is much better than current or future OOo 
icons...

this icons-gate will make OOo loose users
Comment 236 tanstaafl 2010-11-18 19:36:44 UTC
> hey guys, do you wanna some inspiration for new user friendly and
> productive icons? take a look here...
> 
> http://wiki.documentfoundation.org/Marketing/Branding/Mimetype_Icons/Proposals

I like dr.Faust's Eco-style the best...
Comment 237 methylene_blue 2010-11-18 19:42:33 UTC
> hey guys, do you wanna some inspiration for new user friendly and
> productive icons? take a look here...
> 
> http://wiki.documentfoundation.org/Marketing/Branding/Mimetype_Icons/Proposals
>
> I like dr.Faust's Eco-style the best...

If you would like to comment on the lovely icons, this is likely not an
effective place to do it. Please show the creators your support on the
discussion page!

http://wiki.documentfoundation.org/Talk:Marketing/Branding/Mimetype_Icons/Proposals
Comment 238 landydoc 2010-11-19 08:03:36 UTC
I just installed LO beta2 to change. After installation I wanted all my
configurations back. So I copied the user folder from OOo to LO. Most things
worked fine except of the document icons (the theme of this issue). 

You wouldn't believe: I got the Oracle icons at the startup screen of LO b2.

My history is that I first tried the OOo update 3.2.1, then went back to 3.2.0
by uninstalling 3.2.1 first and then additionally installed LO b2.

Some diseases are really contagious.

Comment 239 ed2 2010-11-19 17:51:09 UTC
@landydoc

As it stands LO uses the Oracle icons in the startup screen if the "Classic"
icon style is selected, and the previous OOo icons with any other icon style. 
The icons in the "New Document" menu and the file icons in the file picker are
(depending on the icon style) either the dreaded Oracle icons or theme-related
icons which are also not clearly colour-coded.

Hopefully before LO becomes final all these icons will have been replaced by new
colour-coded ones, but as it stands this issue IS NOT solved in LO.
Comment 240 methylene_blue 2010-11-19 19:52:36 UTC
Thanks for the comment ed2.

I noticed this too just after installing LibreOffice. The Start Center opens
with colored icons, but the menus have the monochrome ones we've all been
whining about here. So, aside from the fact that Libre is
corporation-independent, I can't understand the recommendations (e.g., by
tommy27, e7 and perhaps areynaldos?) to switch to Libre. I've gone back to the
resource-saving Go-Oo version 3.2.1 with the colored-icon solution presented in
this Issue.

Let's hope (and encourage!) Libre to demonstrate better sense than the Go-Oo
devs and breaks away from the monochromatic approach.
Comment 241 tommy27 2010-11-19 20:23:47 UTC
@methylene_blue

LibO is still in beta stage and I'm agree that is not yeat ready to replace 
entirely OOo... but maybe it will be at some point in a near future

what I wanted to say is that if Oracle and current OOo will continue to be deaf 
and sistematically ignore users protests against such stupid features like 
monochrome ODF icon, the will disgust them to the point they will be tempted to 
switch to another alternative package such as LibreOffice...

LibO creators have already shown a better understanding of what kind of icons 
we really need.

my message to the ODF Icons i-Team is:

"there's only one thing worst than making a mistake... is not to solve it just 
because you don't wanna admit that mistake!"
Comment 242 tommy27 2010-11-28 10:10:51 UTC
as soon OOo 3.3 final will be released, we shoul assemble a brand new icon-swap 
file. the files we used with 3.2.1 will probably not work on 3.3

it's such a shame that the devs intentionally did not do anything to fix this 
annoyoing icon controversial feature they introduced with 3.2.1

despite the impressive amount of votes this issue received, our legitimate 
requests have been unheard and sistematically ignored.

IMHO this is not the way to deal with the users community
Comment 243 tommy27 2010-12-22 21:27:02 UTC
Dear Santa Claus,
I'd like to have OOo color coded icons for Xmas!!!
Comment 244 methylene_blue 2010-12-22 21:45:53 UTC
I hope you were good, for goodness sake, tommy27! Surely one of us were...
please?
Comment 245 tommy27 2011-01-27 22:29:01 UTC
please mark this issue as:

FIXED in LibreOffice 3.3
UNFIXED in OpenOffice 3.3
Comment 246 massic80 2011-01-27 22:44:17 UTC
What about a new trick to insert the old beloved icons in OOo 3.3 executables?
Comment 247 ed2 2011-01-27 23:26:31 UTC
what on earth were the developers thinking releasing another major version while
this serious but trivial to solve issue is still outstanding? THIS ISSUE SHOULD
HAVE BLOCKED ANY RELEASE!

Now can someone please get on with solving this!
Comment 248 stoobin 2011-01-28 03:09:00 UTC
I want colored icons that are easy to distinguish from each other.  That's it,
thanks for the chance to be, heard?
Comment 249 tommy27 2011-01-28 06:44:42 UTC
@ed2

even with 10 RCs they did not find time to fix it....
I think Oracle has told the devs not to fix this one....
blame on Oracle...
Comment 250 docgranville 2011-01-28 07:59:17 UTC
I never lost my beloved colored icons...

Must admit that I had to keep my OOo 3.2.0, until an "easy to implement"
solution was found.

But I'm happy now, I get it ! It's called LibreOffice 3.3.0...

So long, OracleOOo...
Comment 251 hartmut_bremen 2011-01-28 13:15:18 UTC
Who are you shouting at, ed2? No one will hear you (or no one is allowed to hear you). Looks like the 
people who were able to fix this one have moved on to … guess where?
Comment 252 ed2 2011-01-28 13:41:21 UTC
@hartmut_bremen 

This issue tracker system is supposed to be the official channel for raising
issues. If not through the official channel for raising issues, where do you
suggest I need to raise this issue?
Comment 253 tommy27 2011-01-28 14:04:42 UTC
@ed2

I think Helmut comment was ironic...
he said a thing that is true: "no one will hear us, since Oracle doesn't allow 
the devs to hear us"

don't you see it? 253 votes in this issue page and basically no answer from the 
devs...

the only one who tried to argument something was cornows
Comment 254 ed2 2011-01-28 14:16:25 UTC
@tommy27 

Obviuously I can see that the developers have failed to fix this issue, the fact
that OOo 3.3 has been released despite this issue still being outstanding shows
this pretty clearly.

Where do you suggest I need to raise this issue in order for it to be heard?

This is supposed to be the official channel for raising issues to be heard by
the developers. If this is not the official channel for raising issues then what
is? I will gladly raise this issue through the channel that will get it heard if
you tell me where that channel is.
Comment 255 hartmut_bremen 2011-01-28 14:17:00 UTC
@ed2
This issue received 252 (two hundred and fifty two) votes as of today, there are dozens of comments, but 
as far as I can see, no official statement: Yes, we will be working on this one. The target milestone is still 
set to 3.x, which means no decision has been made to work on it. "This issue tracker system is supposed 
to be the official channel for raising issues." Underline the words: "is supposed to be". "If not through the 
official channel for raising issues, where do you suggest I need to raise this issue?" I’m sorry: I don’t know. 
This issue can’t be raised higher. The icons won’t be changed, that’s the official policy. (I’d be glad to be 
convinced by the opposite.)
Comment 256 cyborg1024 2011-01-28 14:19:27 UTC
For anyone that wants to manually change the icons, you can download file type
manager which works on most versions of Windows including Windows 7.  Im also
checking out Libre office which a couple posters mentioned and will compare.  It
looks like they are virtually the same product.  The developers can do whatever
the like with their product but I think it would be wise to listen to their
customer base.  Without an easy way to distinguish between icons its looses too
much functionality.  I have way too many documents to look through a sea of
notepad style icons.  Would go blind!  Anyways Im using the icon's from the old
version now with Open Office, but it would still be nice to have the main
launcher also appear with those.  It may be off to Libre office for me as well.
 For years I have recommended Open Office to those who didnt want to pay high MS
prices nor needed too.  Just my 2 cents, as long as I have a working product it
really doesn't matter to me what its called. Open Source code rocks.  Thanks!
Comment 257 stoobin 2011-01-28 14:38:30 UTC
A question to developers; why aren't you participating in this Q&A?  We are
asking questions and giving opinions, and are obviously getting frustrated with
the lack of feedback from your end.  Why won't you respond?  
Comment 258 cyborg1024 2011-01-28 14:47:51 UTC
Hey All, I just read a couple articles that explained a few important things. 
It looks like Libra Office is the "real" open office.  The developers that had
designed open office had a legal disagreement with Oracle, Oracle now owns the
name open office.  So effectively that means anyone who has supported open
office all this time needs to switch to Libre office, they also have better
support for the MS XML formats and Powerpoint from what I read.  You can Google
all the details about this but the bottom line is Libre office is the "new" open
office, only the name has changed due to a legal snafu.  Got to love it, anyways
you have a choice and its pretty clear to me which product is going to get the
most support from the community in the end.  Oracle was one of the biggest
contributes to the original project but it looks like everyone has taken
separate paths.  New name same great product.
Comment 259 massic80 2011-01-28 14:56:45 UTC
It is NOT that simple, cyborg! Be careful on what you post!
LibreOffice is a fork, developed by The Document Foundation, which DOESN'T
include all the former OOo developers. The MS XML support isn't perfect, and
itìs the same deactivated in OOo code for that reason. LibO inherits the efforts
of Go-oo, so it's parallel to OOo, but not "the new" OOo. LibO and OOo share
most of sourcecode.
Comment 260 cyborg1024 2011-01-28 15:31:41 UTC
I should have stated the majority of the developers, anyways as I said anyone
can do their research on the Web and make a choice.  If Oracle doesnt want to
listen to their customers or makes very poor choices about design then
personally I dont see a reason to support their version of the product.  Being
open source anyone can spin off but the article I read said the core development
team of this product is now designing Libre office.  Thats good enough for me. 
I dont expect perfect emulation of MS products, I personally use both though and
have had very few problems going between MS Office 2007 and Open Office / now
Libre Office.  I have seen some issues with mail merge between the newer version
and bringing that source data to open office but again for free you really cant
complain.  I do alot of system builds and support, I think Oracle needs to pay
attention to their community or else techs like me will be recommending the more
user friendly products available.  Shouldnt have to hack a product to make it
functional is the bottom line.  If you have more detail on the exact break down,
please post it as Im sure everyone is interested in having that info.  I have
spent enough time on this and have made a choice to go with the product I see as
doing more for the community.  That may change if the current Open Office
changes in response to customer demand.  Everyone is free to make their own
educated choice in this matter.
Comment 261 mindaugasv85 2011-01-28 15:54:43 UTC
comment dropped by administrator
Comment 262 mindaugasv85 2011-01-28 15:57:55 UTC
comment dropped by administrator
Comment 263 docgranville 2011-01-28 19:09:59 UTC
@ mindaugasv85

Who do you think you are bothering with that flooding ?

If you don't want to receive anything else by that list, just change the "email
settings" in "your prefs" at the top of the page of the issue ; but please, just
stop flooding us : as writen before, none of us is part of Oracle ; we just are
(or were) users of OOo, as you are ; so, I dont think anyone of us has to be
blamed about this.

Don't do as Oracle did with a part of the community about the icons : before
acting, try to think, just a little bit.
Comment 264 ed2 2011-01-28 19:11:41 UTC
@mindaugasv85

First of all you seem to be repeating yourself.

Secondly, can you please mind your language. 
Comment 265 floris_v 2011-01-28 19:31:29 UTC
I withdrew my vote hoping to be spared from receiving any more mails with
disgusting content, anyway, it doesn't seem to matter how many people vote for
it. Vote with your feet.
Comment 266 ped 2011-01-28 20:12:30 UTC
Sorry this post is almost off topic and "spamish", but in the end I think it
deserved to land here before I leave OOo for now.


Dear Lutz Hoeger (responsible product manager),

I was unable to find single response in this thread from you, to stand out and
validate your decision. Or eventually to admit mistake or something. (if you
did, sorry, I can't find you in this mess of posts and advices with quick fixes)

In case you really never bothered to write anything here, you are total coward
for me (that's the better part), and from factual point of view you are
something I already wrote here (but will not repeat it, because some people take
it as pure offense, while I was meaning it more literally as a fact) (that's the
worse part).

Anyway, I have also seen some positive voices who do appreciate the change. This
is beyond my understanding, but I'm glad at least some people did like it.

Anyway, I did uninstall OOo, install LibreOffice, and guess what, ODF documents
have colored icons. XLS took me another few clicks of mouse to set up. Rest of
OOo macros and settings were automatically adopted. So far smooth ride.

@cyborg1024:
About LibreOffice developers ... I didn't do any huge research, but I'm afraid
you have fell to be victim of PR scam. According to my quick look on the things
I would say Novell moved go-OOo team out into wild to make it look more
independent (AFAIK they are still paying their salaries), and renamed to whole
thing to LibreOffice plus made that PR stuff around to make it look like OOo
devs from Oracle did run away (which is probably true in particular individual
cases, but that's it, no team exodus). Anyway, if I'm right, then I have to say
"well done Novell", because they certainly got lot of media exposure and
support, much more then before with their go patches.
Disclaimer: this information is based on very poor research, so I may be still
as wrong as you were. :D But it makes lot of sense to me.

Anyway, I'm far from happy, because the SUN is gone, and whatever my feelings
toward it and OOo project were (i.e. not ideal), it has been tremendous effort
and amount of work. Yes, I do object a lot about how OOo is written, but in the
end it's the best office suite for my needs (tried KOffice which looks to be
written much more to my taste in terms of source code, and guess what, totally
unusable for my usage scenarios).

So I have to thank SUN sincerely for such a great tool. And I really hope Oracle
will continue to support it at least enough to make it survive. Thank you
beforehand for that. Good luck with those efforts, I will be appreciate your
hard work in a bit tuned up delivery trough LibreOffice.
Comment 267 lutz.hoeger 2011-01-31 15:39:02 UTC
I don't reply to inquiries via issue tracker. And I won't do this time. 

But it becomes obvious that one or two essential links are missing:

Here is how to provide - constructive - feedback to the project:
http://wiki.services.openoffice.org/wiki/ODF_icons_i-team

And just FYI (and subject to change), here are the latest design suggestions:
http://wiki.services.openoffice.org/wiki/ODF_Icon_Redesign

Again, I am no longer cc'ed to this issue. Please use the ways outlined on the
wiki page to communicate with the design team.
Comment 268 methylene_blue 2011-01-31 16:06:00 UTC
Personally, I am sick to death of hearing about where we should "really" post
feedback in order to be "heard" or to "contribute". I have posted all over the
place and computer magazines are already running articles on LibreOffice,
mentioning how Oracle sent OpenOffice to dungeon. 

The links you give, lh, are quite frankly the same old crap - colorless icons we
have been incessantly complaining about for over 6 months now. Since you insist,
I posted a comment in the discussion of your links pointing to the finest
examples of icons for "this project".
(http://wiki.documentfoundation.org/Marketing/Branding/Mimetype_Icons/Proposals)
But you know, "this project" you mention is dead, lh. LibreOffice is already
underway to replace OpenOffice. 

And I must say, it is perhaps a blessing in disguise: Thanks to Oracle for
embittering the community enough to take matters into its own hands! OpenOffice
is now really "libre". 

Oracle adé!
Comment 269 ed2 2011-01-31 19:14:52 UTC
"Here is how to provide - constructive - feedback to the project:
http://wiki.services.openoffice.org/wiki/ODF_icons_i-team"

HOW do you provide feedback via that page? I have read the whole page, and there
is no feedback form anywhere on it!

"And just FYI (and subject to change), here are the latest design suggestions:
http://wiki.services.openoffice.org/wiki/ODF_Icon_Redesign"

Neither of the two suggestions there do anything to address the lack of colour
coding, they are not colour coded either!
Comment 270 tommy27 2011-01-31 19:33:04 UTC
@lh

your answer is useless, like the monochrome icons you contributed to create.

you should take responsability for the worst, most hated OpenOffice's feature 
ever released.

you should take responsability for all those who are leaving OOo for LibO.

face the facts: monochrome ODF icons were a colossal fiasco...
redesigning them, still with no color-codes, will not solve anything...

if you keep defending those useless icons beyond any common sense you will just
piss off the community over and over again...
you are making OOo user experience worst...

OpenOffice would be a better software if  you would sign a letter of 
resignation... after so many mistakes you don't deserve to lead this project 
anymore. 





Comment 271 tommy27 2011-01-31 19:36:03 UTC
@lh

just forgotted to say that removing yourself from the CC is just an act of 
cowardly...
Comment 272 itet 2011-01-31 23:07:50 UTC
I am now moving my clients to libreoffice. After 25 years in the industry Oracle
is now blacklisted from my consultancy work PostgreSQL will be my advice of
default now. A company which fails to listen to users has no place in the supply
chain. In laymans terms who would buy a database from a company who makes it
hard for users to find their own documents by turning them all blue grey
monochrome. My tests of Libreoffice vs Openoffice through all the betas and RCs
indicate Libreoffice to have better compatability with a wider range of document
types.

For those who don't understand
http://wiki.services.openoffice.org/wiki/ODF_icons_i-team here is a translation.

Anyhow, we also know that the best way to get an i-team not to work in a
productive way is to have clear and transparent nearly identical icons. There
are a requirements that must be taken into account because we simply do not want
a real change when re-designing the icons. These are the common blocking points
of the main project and represent the framework within which the icons cannot be
changed. But apart from these requirements, the process of designing the icons
is open for any interesting but not different ideas.

Requirements:

1. ODF IDENTITY = BLUE badge for worse communication-usability (senders &
receivers can no longer distinguish document types which creates usage problems?)

2. CORE FUNCTION = FORM plus gray, black and white for 1980's antique feel (make
users lose documents fast?)

3. STATUS FUNCTIONS = COLOR badges for emerging loss of collaboration-usability
(make sure any users left recognise a document incorrectly before opening?)

Openofice.Org closed for comment
Comment 273 tommy27 2011-02-01 19:47:21 UTC
unified monochrome ODF are stupid and useless just like a traffic light with 3 
blue lamps instead of red, yellow and green

how could you have been so dumb to create them?
Comment 274 htgoebel 2011-02-02 09:01:36 UTC
What a useless discussion.

Just vote with your feet and leave. I'll do, heading to LibreOffice wdich has
colored icons.
Comment 275 jakobkramer 2011-02-02 09:12:50 UTC
I'm gone as well. LibreOffice works perfectly. OpenOffice has already been
uninstalled from my computer.
Comment 276 methylene_blue 2011-02-02 09:21:09 UTC
Goodbye OOo .... and goodbye Issue Tracker!

"Bdee-bdee, that's all folks"
Comment 277 tommy27 2011-02-02 09:22:51 UTC
@lh 
@iTeam

look what you have done with your stupid icons.
you are disgusting your users to the point they are leaving OOo
Comment 278 mramsch 2011-02-03 11:31:00 UTC
I'm in the process of switching all of my customers to LibreOffice (hadn't 
updated since the OOo icon desaster). Personally, I've already said Good Buy to 
OpenOffice.

And this is not mainly because of the icons, but because of the absolutely 
ignorant handling of the issue. Such developers can't be trusted anymore.

As a consultant and lecturer, I'll definitely inform about the facts, and add 
my opinion ...

Bye,
   Martin Ramsch (Passau, Germany)
Comment 279 stoobin 2011-02-03 14:45:02 UTC
Just wanted to say that i switched over to Libre Office last weekend and have
been satisfied with the ease of installing.  I found it funny that a link opened
up in my browser when i uninstalled Open Office asking why i was leaving.  I
filled in the couple of answer boxes and left in the comments that i was annoyed
by the monochrome file icons, but mostly the lack of an acceptable response to
addressing the issue.  Goodbye Open Office, I hope your ego doesn't destroy the
jobs of your employees.  They deserve more than poor management.  
Comment 280 opendan 2011-02-03 18:28:13 UTC
OK, this does it for me.
Everybody seems to be satisfied with LibrteOffice, so I tried it out, it
migrated most of my stuff (formats, macros...) automatically, looks and works
fine, so I uninstalled OpenOffice.
I have been using OpenOffice from version 1.0 on, and have always been
satisfied, especially because of the easy ways to migrate personal icons,
formats and macros to a newer version (this also worked fine with LibreOffice;
adjust the size and style of the icons in the Options, if it doesn't look right,
after installation).
I will still be watching this issue for some time, but as it looks now, i might
stick with LibreOffice for the next decades.
Bye, Danie Schär (Switzerland)
Comment 281 oooforum (fr) 2011-02-05 17:52:10 UTC
Hmm, good old icons seems to be back with 3.3. My Windows Explorer display them
with colors. 

Dears developpers, could you confirm it in this issue and set to target with
appropriate status ?

And to silence critics.

Thanks for that
Comment 282 ed2 2011-02-07 13:49:27 UTC
@oooforum

Are you using a third-party build?  This has definitely not been fixed in the
Oracle build, version 3.3 still has the same unusable icons as 3.2.1.
Comment 283 nudimmud 2011-02-18 10:06:31 UTC
I'd like to cast all my 5 votes to this issue if it had been possible.

I have migrated to LibreOffice, just because of this issue.
Comment 284 tommy27 2011-02-18 15:18:31 UTC
another useless and stupid blog-post on GULLFoss about the useless and stupid 
monochrome ODF icons.

http://blogs.sun.com/GullFOSS/entry/odf_mime_type_icons_redesign

your iTeam can redesign those icons over and over again but if you still refuse 
to use color-codes and keep insisting on the monochrome dull blue & grey scheme, 
you will still have useless and stupid icons...

what does the "i" of i-Team means? idiot-Team, right?
Comment 285 opendan 2011-02-18 17:56:52 UTC
At least the blog mentioned in the previous comment by tommy27 gives a direct
hint of what this is all about: Andreas Bartel writes, that they try to make
"significant improvement compared to the current ODF icons, without violating
any ODF marketing constraints." The use of the "we-wish we-were-word"-blue color
seems to be a marketing constraint.
Good luck!
dan




Comment 286 edirr 2011-02-19 20:41:46 UTC
I haven't logged in to the OOo website for months, since I've not bothered to
upgrade the software for a good long while, but Jesus Christ with the new icons!
I want the old ones from 3.2 back, just like all of the other users who have
expressed their opinion here.

Please. The old ones were much better. The new ones are a user repellent, not a
user attractant.
Comment 287 tommy27 2011-02-27 22:04:14 UTC
It's official. I'm not an OpenOffice user anymore.

Today I migrated to LibreOffice 3.3.1 and I feel fine with color-coded icons and othe interesting features.

more users will leave OOo because of these stupid monochrome icons.

farewell Lutz, iTeam, OOo Devs, Oracle.... you are killink OpenOffice with your suicidal marketing moves
Comment 288 pluk77 2011-03-01 09:35:21 UTC
Exactly what I am going to do. Instead of changing the icons back to the color versions, I will move away from OO and move to LibreOffice. For those who contributed to the new icon set: Thanks for convincing me to move away from OO. It almost looks like you guys did this on purpose and where silently part of the whole LO movement. Once again, thanks for opening my eyes!!!

http://www.libreoffice.org/

Marcel
Comment 289 ulli.kah 2011-03-06 20:46:51 UTC
I downloaded and installed OpenOffice 3.3.0 and they still haven't reintroduced the colour codes.

I cannot believe that they would intentionally press the self destruct button with this issue.

I'm to going to switch to LO because this is a REAL productivity issue.
Comment 290 tessadeboer 2011-03-10 13:22:25 UTC
I would really appreciate a reintroduction of color coded icons for newer versions of OpenOffice. These could be recolored versions of the current icons. I really miss the old OpenOffice icons, because they where color coded and the current icons are not. The current monochromatic icons are unusable, because it's now virtually impossible to distinguish the different file types at a glance. Because of this design issue, I can no longer find the files I'm looking for in a messy folder.
Comment 291 mauricereviol 2011-03-17 21:29:37 UTC
Hello,
considering that a lot of people use OpenOffice without checking forums, they might even be totally oblivious to the fact that there is a forum to speak out about things that bug them, the number of people voted on this is quite big...

Wouldn't it be better to save the i-Team some work and get some truly approved older designs out of the drawers again and use them again instead of the "new improved" version?

I could even live with the old icons and your proposed "ODF" tag simply pasted on top of it, at least they would have colours...

You can download IrfanView to name just one free program and do this job in about ten minutes...or inkscape if you want to do a more elaborate job. All this saved developer time could be used more productively somewhere else...

How can we work on the i-Team? can we register or help in any way to get this thing going a bit faster than just replacing 2010 with 2011?

I could send a pound of coffee if that's necessary to invigorate your mind a bit...

All the best... in the meantime I have a snoop into LibreOffice and see what these guys are up to...

Regards,
a slightly disgruntled OpenOffice user for ten years now...

;-)
Comment 292 tommy27 2011-04-23 15:17:12 UTC
will this issue ever be fixed now that Oracle decided to give OOo back to the community?

the community wants color-coded icons indeed
Comment 293 tommy27 2011-06-11 05:10:37 UTC
Apache Foundation, please bring back color coded icons in your future OOo release
Comment 294 Martin Hollmichel 2011-08-18 13:44:23 UTC
grabbing issue.
Comment 295 Terry 2011-11-26 09:53:40 UTC
I am using a Linux version of 3.3.0, employing the Mandriva desktop integration (although not a Mandriva system).  There are coloured mimetype icons for the OO applications in /usr/share/icons/locolor/.  Indeed, they are the only icons in that folder.
Comment 296 Ariel Constenla-Haile 2011-12-24 02:28:45 UTC
Started.
Comment 297 yafede 2011-12-24 14:03:39 UTC
Thank you, Ariel.
This is a very nice Christmas present.
Comment 298 ed2 2012-01-31 20:15:14 UTC
I just installed OOO340m1 (Build:9585), Rev. 1236920, 2012-01-30, and this is still not completely fixed.

The monochrome Oracle icons still remain in a number of places, most notably:

1.) None of the icons in the "Classic" theme appear to have been changed at all.  The Start Centre, "New Document" menu and file picker all still use the monochrome icons;

2.) The Start Centre in the "High Contrast" theme still used monochrome icons;

3.) The non-ODF versions of the icons compiled into the Windows program (and presumably to be used by Windows Explorer for non-ODF files assigned to AOO) have not been replaced.